Index: DCWoRMS/trunk/src/test/article/recs/resources1.xml
===================================================================
--- DCWoRMS/trunk/src/test/article/recs/resources1.xml	(revision 656)
+++ DCWoRMS/trunk/src/test/article/recs/resources1.xml	(revision 737)
@@ -19,5 +19,6 @@
 					</powerProfile>	
 				</profile>
-			<computingResource class="ComputingNode" type="Intel_i7" count="4">
+				
+			<computingResource class="ComputingNode" type="Intel_i7" count="8">
 				<resourceUnit class="memory">
 					<amount>16384</amount>
@@ -34,5 +35,5 @@
 							<powerState>
 								<name>ON</name>
-								<powerUsage>10</powerUsage>
+								<powerUsage>11.5</powerUsage>
 							</powerState>
 							<powerState>
@@ -54,5 +55,5 @@
 								</property>		
 								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="W">15</value>
 								</property>						
 							</parameter>
@@ -62,8 +63,8 @@
 								</property>	
 								<property name="frequency">
-									<value unit="H`">2000</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="Hz">2000</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">14</value>
 								</property>						
 							</parameter>	
@@ -73,8 +74,8 @@
 								</property>	
 								<property name="frequency">
-									<value unit="H`">1900</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="Hz">1900</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">13</value>
 								</property>						
 							</parameter>
@@ -84,8 +85,8 @@
 								</property>	
 								<property name="frequency">
-									<value unit="H`">1800</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="Hz">1800</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">11.5</value>
 								</property>						
 							</parameter>	
@@ -98,5 +99,5 @@
 								</property>		
 								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="W">11</value>
 								</property>						
 							</parameter>
@@ -106,8 +107,8 @@
 								</property>	
 								<property name="frequency">
-									<value unit="H`">1600</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="Hz">1600</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">10.5</value>
 								</property>						
 							</parameter>	
@@ -117,8 +118,8 @@
 								</property>	
 								<property name="frequency">
-									<value unit="H`">1500</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="Hz">1500</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">9.5</value>
 								</property>						
 							</parameter>
@@ -128,8 +129,8 @@
 								</property>	
 								<property name="frequency">
-									<value unit="H`">1400</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="Hz">1400</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">8.5</value>
 								</property>						
 							</parameter>
@@ -139,8 +140,8 @@
 								</property>	
 								<property name="frequency">
-									<value unit="H`">1300</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="Hz">1300</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">8</value>
 								</property>						
 							</parameter>
@@ -150,8 +151,8 @@
 								</property>	
 								<property name="frequency">
-									<value unit="H`">1200</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="Hz">1200</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">7</value>
 								</property>						
 							</parameter>
@@ -161,8 +162,8 @@
 								</property>	
 								<property name="frequency">
-									<value unit="H`">1100</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="Hz">1100</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">6.5</value>
 								</property>						
 							</parameter>
@@ -172,8 +173,8 @@
 								</property>	
 								<property name="frequency">
-									<value unit="H`">1000</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="Hz">1000</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">6</value>
 								</property>						
 							</parameter>
@@ -183,8 +184,8 @@
 								</property>	
 								<property name="frequency">
-									<value unit="H`">900</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="Hz">900</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">5.5</value>
 								</property>						
 							</parameter>
@@ -194,13 +195,13 @@
 								</property>	
 								<property name="frequency">
-									<value unit="H`">800</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="Hz">800</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">5</value>
 								</property>						
 							</parameter>								
 						</powerProfile>
 					</profile>
-					<computingResource class="Core" count="4">
+					<computingResource class="Core" count="8">
 
 					</computingResource>
@@ -244,5 +245,5 @@
 									</property>		
 									<property name="powerUsage">
-										<value unit="W">0</value>
+										<value unit="W">2</value>
 									</property>						
 								</parameter>
@@ -252,8 +253,8 @@
 									</property>	
 									<property name="frequency">
-										<value unit="H`">800</value>
+										<value unit="Hz">800</value>
 									</property>		
 									<property name="powerUsage">
-										<value unit="W">0</value>
+										<value unit="W">1</value>
 									</property>						
 								</parameter>	
@@ -281,5 +282,5 @@
 							<powerState>
 								<name>ON</name>
-								<powerUsage>10</powerUsage>
+								<powerUsage>19</powerUsage>
 							</powerState>
 							<powerState>
@@ -301,5 +302,5 @@
 								</property>		
 								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="W">1.3</value>
 								</property>						
 							</parameter>
@@ -309,8 +310,8 @@
 								</property>	
 								<property name="frequency">
-									<value unit="H`">1458</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="Hz">1458</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">1</value>
 								</property>						
 							</parameter>	
@@ -320,8 +321,8 @@
 								</property>	
 								<property name="frequency">
-									<value unit="H`">1250</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="Hz">1250</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">0.8</value>
 								</property>						
 							</parameter>
@@ -331,8 +332,8 @@
 								</property>	
 								<property name="frequency">
-									<value unit="H`">1041</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="Hz">1041</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">0.7</value>
 								</property>						
 							</parameter>	
@@ -345,5 +346,5 @@
 								</property>		
 								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="W">0.5</value>
 								</property>						
 							</parameter>
@@ -353,8 +354,8 @@
 								</property>	
 								<property name="frequency">
-									<value unit="H`">625</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="Hz">625</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">0.3</value>
 								</property>						
 							</parameter>	
@@ -364,8 +365,8 @@
 								</property>	
 								<property name="frequency">
-									<value unit="H`">416</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="Hz">416</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">0.2</value>
 								</property>						
 							</parameter>
@@ -375,13 +376,13 @@
 								</property>	
 								<property name="frequency">
-									<value unit="H`">208</value>
-								</property>		
-								<property name="powerUsage">
-									<value unit="W">0</value>
+									<value unit="Hz">208</value>
+								</property>		
+								<property name="powerUsage">
+									<value unit="W">0.1</value>
 								</property>						
 							</parameter>					
 						</powerProfile>
 					</profile>
-					<computingResource class="Core" count="2">
+					<computingResource class="Core" count="4">
 
 					</computingResource>
@@ -389,4 +390,5 @@
 			</computingResource>
 			
+			<!--  
 			<computingResource class="ComputingNode" type="Atom_Z510" count="4">
 				<resourceUnit class="memory">
@@ -404,5 +406,5 @@
 							<powerState>
 								<name>ON</name>
-								<powerUsage>10</powerUsage>
+								<powerUsage>12</powerUsage>
 							</powerState>
 							<powerState>
@@ -424,5 +426,5 @@
 									</property>		
 									<property name="powerUsage">
-										<value unit="W">0</value>
+										<value unit="W">2</value>
 									</property>						
 								</parameter>
@@ -432,8 +434,8 @@
 									</property>	
 									<property name="frequency">
-										<value unit="H`">800</value>
+										<value unit="Hz">800</value>
 									</property>		
 									<property name="powerUsage">
-										<value unit="W">0</value>
+										<value unit="W">1</value>
 									</property>						
 								</parameter>	
@@ -443,5 +445,5 @@
 									</property>	
 									<property name="frequency">
-										<value unit="H`">600</value>
+										<value unit="Hz">600</value>
 									</property>		
 									<property name="powerUsage">
@@ -456,9 +458,11 @@
 				</computingResource>
 			</computingResource>
+			-->
+
 		</computingResource>
 		<scheduler class="Cluster" name="cluster">
 			<!-- Definition of scheduling plugin at cluster level -->
 			<schedulingPlugin>
-				<name>test.article.recs.plugins.scheduling.RecsExclusivenessSP</name>
+				<name>test.article.recs.plugins.scheduling.RecsExclusivenessRandomSP</name>
 			</schedulingPlugin>	
 			<!-- Reference to managed resources - cluster manages resources belonging to the defined data center -->
Index: DCWoRMS/trunk/src/test/article/recs/experiment1.properties
===================================================================
--- DCWoRMS/trunk/src/test/article/recs/experiment1.properties	(revision 668)
+++ DCWoRMS/trunk/src/test/article/recs/experiment1.properties	(revision 737)
@@ -6,5 +6,5 @@
 # and swf file, which name is declared by readscenario.workloadfilename parameter.
 # Swf file must be placed in readscenario.inputfolder directory.  
-readscenario.workloadfilename=src/test/article/workloadgen/workload/workload.swf
+readscenario.workloadfilename=src/test/article/recs/workload.swf
 
 # Choose directory where all result files should be placed.