Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 733)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 743)
@@ -1,19 +1,24 @@
 \relax 
 \citation{koomey}
-\citation{hintemann}
 \citation{pue}
+\Newlabel{psnc}{a}
+\Newlabel{put}{b}
 \@writefile{toc}{\contentsline {section}{\numberline {1}Introduction}{1}}
 \citation{games}
 \citation{fit4green}
-\citation{montblanc}
 \citation{networks}
-\citation{sla}
 \citation{sgi}
 \citation{colt}
 \citation{ecocooling}
+\citation{ff}
+\citation{DCD_Romonet}
+\citation{CloudSim}
+\citation{e2dc12}
+\citation{coolemall}
 \citation{GreenCloud}
 \citation{CloudSim}
 \citation{DCSG}
 \@writefile{toc}{\contentsline {section}{\numberline {2}Related Work}{3}}
+\newlabel{sota}{{2}{3}}
 \citation{GSSIM}
 \@writefile{toc}{\contentsline {section}{\numberline {3}DCWoRMS}{5}}
@@ -37,92 +42,79 @@
 \@writefile{toc}{\contentsline {paragraph}{\textbf  {Power consumption model}}{10}}
 \@writefile{toc}{\contentsline {paragraph}{\textbf  {Power management interface}}{10}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.2}Air throughput management concept}{11}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Air throughput profile}}{11}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Air throughput model}}{11}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Air throughput management interface}}{11}}
-\@writefile{lof}{\contentsline {figure}{\numberline {4}{\ignorespaces  Air throughput modeling}}{12}}
-\newlabel{fig:airModel}{{4}{12}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.3}Thermal management concept}{12}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Thermal profile}}{12}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Temperature estimation model}}{12}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Thermal resource management interface}}{12}}
-\@writefile{lof}{\contentsline {figure}{\numberline {5}{\ignorespaces  Temperature estimation modeling}}{13}}
-\newlabel{fig:tempModel}{{5}{13}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {3.5}Application performance modeling}{13}}
-\newlabel{sec:apps}{{3.5}{13}}
-\@writefile{toc}{\contentsline {section}{\numberline {4}Modeling of energy efficiency in DCWoRMS}{14}}
-\newlabel{eq:E}{{1}{14}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {4.1}Power consumption models}{15}}
-\newlabel{sec:power}{{4.1}{15}}
-\newlabel{eq:ohm-law}{{2}{15}}
-\newlabel{fig:power}{{4.1}{16}}
-\@writefile{lof}{\contentsline {figure}{\numberline {6}{\ignorespaces Average power usage with regard to CPU frequency\\ \textbf  {Tests}: Linpack (\emph  {green}), Abinit (\emph  {purple}), Namd (\emph  {blue}) and Cpuburn (\emph  {red}). \\ }}{16}}
-\@writefile{lof}{\contentsline {figure}{\numberline {7}{\ignorespaces  Power in time for highest frequency}}{16}}
-\newlabel{fig:fans_P}{{7}{16}}
-\newlabel{eq:static}{{3}{17}}
-\newlabel{eq:load}{{4}{17}}
-\newlabel{eq:app}{{5}{17}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {4.2}Air throughput models}{17}}
-\newlabel{sec:air}{{4.2}{17}}
-\@writefile{lof}{\contentsline {figure}{\numberline {8}{\ignorespaces  Temperature in time for highest frequency}}{18}}
-\newlabel{fig:tempModel}{{8}{18}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {4.3}Thermal models}{18}}
-\newlabel{sec:thermal}{{4.3}{18}}
-\@writefile{toc}{\contentsline {section}{\numberline {5}Experiments and evaluation}{19}}
-\newlabel{sec:experiments}{{5}{19}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.1}Testbed description}{19}}
-\@writefile{lot}{\contentsline {table}{\numberline {1}{\ignorespaces  RECS system configuration}}{19}}
-\newlabel{testBed}{{1}{19}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.2}Evaluated applications}{20}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.3}Models}{20}}
-\@writefile{lot}{\contentsline {table}{\numberline {2}{\ignorespaces  $P_{cpubase}$ values in Watts}}{21}}
-\newlabel{nodeBasePowerUsage}{{2}{21}}
-\@writefile{lot}{\contentsline {table}{\numberline {3}{\ignorespaces  $P_{app}$ values in Watts}}{21}}
-\newlabel{appPowerUsage}{{3}{21}}
-\@writefile{lot}{\contentsline {table}{\numberline {4}{\ignorespaces  Power models accuracy in \%}}{21}}
-\newlabel{expPowerModels}{{4}{21}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.4}Methodology}{22}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.5}Computational analysis}{22}}
-\@writefile{lot}{\contentsline {table}{\numberline {5}{\ignorespaces  Workload characteristics}}{23}}
-\newlabel{workloadCharacteristics}{{5}{23}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.1}Random approach}{24}}
-\@writefile{lof}{\contentsline {figure}{\numberline {9}{\ignorespaces  Random strategy}}{24}}
-\newlabel{fig:70r}{{9}{24}}
-\@writefile{lof}{\contentsline {figure}{\numberline {10}{\ignorespaces  Random + switching off unused nodes strategy}}{25}}
-\newlabel{fig:70rnpm}{{10}{25}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.2}Energy optimization}{25}}
-\@writefile{lot}{\contentsline {table}{\numberline {6}{\ignorespaces  Measured power of testbed nodes in idle state}}{26}}
-\newlabel{idlePower}{{6}{26}}
-\@writefile{lof}{\contentsline {figure}{\numberline {11}{\ignorespaces  Energy usage optimization strategy}}{26}}
-\newlabel{fig:70eo}{{11}{26}}
-\@writefile{lof}{\contentsline {figure}{\numberline {12}{\ignorespaces  Energy usage optimization + switching off unused nodes strategy}}{27}}
-\newlabel{fig:70eonpm}{{12}{27}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.3}Downgrading frequency}{28}}
-\@writefile{lof}{\contentsline {figure}{\numberline {13}{\ignorespaces  Frequency downgrading strategy}}{28}}
-\newlabel{fig:70dfs}{{13}{28}}
-\@writefile{lof}{\contentsline {figure}{\numberline {14}{\ignorespaces  Schedules obtained for Random strategy (left) and Random + lowest frequency strategy (right) for 10\% of system load}}{29}}
-\newlabel{fig:dfsComp}{{14}{29}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.6}Discussion}{29}}
-\@writefile{lot}{\contentsline {table}{\numberline {7}{\ignorespaces  Energy usage [kWh] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{29}}
-\newlabel{loadEnergy}{{7}{29}}
-\@writefile{lot}{\contentsline {table}{\numberline {8}{\ignorespaces  Makespan [s] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{30}}
-\newlabel{loadMakespan}{{8}{30}}
-\@writefile{toc}{\contentsline {section}{\numberline {6}DCWoRMS application/use cases}{30}}
-\newlabel{sec:coolemall}{{6}{30}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.5}Application performance modeling}{11}}
+\newlabel{sec:apps}{{3.5}{11}}
+\@writefile{toc}{\contentsline {section}{\numberline {4}Modeling of energy consumption in DCWoRMS}{12}}
+\newlabel{eq:E}{{1}{12}}
+\@writefile{lof}{\contentsline {figure}{\numberline {4}{\ignorespaces Average power usage with regard to CPU frequency - Linpack (\emph  {green}), Abinit (\emph  {purple}), Namd (\emph  {blue}) and Cpuburn (\emph  {red}).  }}{13}}
+\newlabel{fig:power_freq}{{4}{13}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.1}Power consumption models}{13}}
+\newlabel{sec:power}{{4.1}{13}}
+\newlabel{eq:ohm-law}{{2}{13}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5}{\ignorespaces  Power in time for the highest frequency}}{14}}
+\newlabel{fig:fans_P}{{5}{14}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.2}Static approach}{14}}
+\newlabel{eq:static}{{3}{14}}
+\citation{fit4green_scheduler}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.3}Resource load}{15}}
+\newlabel{eq:dynamic}{{4}{15}}
+\citation{e2dc12}
+\newlabel{eq:model}{{7}{16}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.4}Application specific}{16}}
+\newlabel{eq:app}{{8}{16}}
+\@writefile{toc}{\contentsline {section}{\numberline {5}Experiments and evaluation}{16}}
+\newlabel{sec:experiments}{{5}{16}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.1}Testbed description}{17}}
+\@writefile{lot}{\contentsline {table}{\numberline {1}{\ignorespaces  RECS system configuration}}{17}}
+\newlabel{testBed}{{1}{17}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.2}Evaluated applications}{17}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.3}Models}{18}}
+\newlabel{sec:models}{{5.3}{18}}
+\@writefile{lot}{\contentsline {table}{\numberline {2}{\ignorespaces  $P_{cpubase}$ values in Watts}}{18}}
+\newlabel{nodeBasePowerUsage}{{2}{18}}
+\@writefile{lot}{\contentsline {table}{\numberline {3}{\ignorespaces  $P_{app}$ values in Watts}}{18}}
+\newlabel{appPowerUsage}{{3}{18}}
+\@writefile{lot}{\contentsline {table}{\numberline {4}{\ignorespaces  Power models error in \%}}{19}}
+\newlabel{expPowerModels}{{4}{19}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.4}Methodology}{19}}
+\@writefile{lot}{\contentsline {table}{\numberline {5}{\ignorespaces  Workload characteristics}}{20}}
+\newlabel{workloadCharacteristics}{{5}{20}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.5}Computational analysis}{20}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.1}Random approach}{21}}
+\@writefile{lof}{\contentsline {figure}{\numberline {6}{\ignorespaces  Random strategy}}{21}}
+\newlabel{fig:70r}{{6}{21}}
+\@writefile{lof}{\contentsline {figure}{\numberline {7}{\ignorespaces  Random + switching off unused nodes strategy}}{22}}
+\newlabel{fig:70rnpm}{{7}{22}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.2}Energy optimization}{22}}
+\@writefile{lot}{\contentsline {table}{\numberline {6}{\ignorespaces  Measured power of testbed nodes in idle state}}{23}}
+\newlabel{idlePower}{{6}{23}}
+\@writefile{lof}{\contentsline {figure}{\numberline {8}{\ignorespaces  Energy usage optimization strategy}}{23}}
+\newlabel{fig:70eo}{{8}{23}}
+\@writefile{lof}{\contentsline {figure}{\numberline {9}{\ignorespaces  Energy usage optimization + switching off unused nodes strategy}}{24}}
+\newlabel{fig:70eonpm}{{9}{24}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.3}Downgrading frequency}{25}}
+\@writefile{lof}{\contentsline {figure}{\numberline {10}{\ignorespaces  Frequency downgrading strategy}}{25}}
+\newlabel{fig:70dfs}{{10}{25}}
+\@writefile{lof}{\contentsline {figure}{\numberline {11}{\ignorespaces  Schedules obtained for Random strategy (left) and Random + lowest frequency strategy (right) for 10\% of system load}}{26}}
+\newlabel{fig:dfsComp}{{11}{26}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.6}Discussion}{26}}
+\@writefile{lot}{\contentsline {table}{\numberline {7}{\ignorespaces  Energy usage [kWh] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{26}}
+\newlabel{loadEnergy}{{7}{26}}
+\@writefile{lot}{\contentsline {table}{\numberline {8}{\ignorespaces  Makespan [s] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{27}}
+\newlabel{loadMakespan}{{8}{27}}
+\@writefile{toc}{\contentsline {section}{\numberline {6}Conclusions and future work}{27}}
 \bibcite{fit4green}{{1}{}{{}}{{}}}
-\bibcite{CloudSim}{{2}{}{{}}{{}}}
-\bibcite{DCSG}{{3}{}{{}}{{}}}
-\bibcite{DCD_Romonet}{{4}{}{{}}{{}}}
-\bibcite{networks}{{5}{}{{}}{{}}}
-\bibcite{Ghislain}{{6}{}{{}}{{}}}
-\bibcite{games}{{7}{}{{}}{{}}}
-\@writefile{toc}{\contentsline {section}{\numberline {7}Conclusions and future work}{32}}
-\newlabel{}{{7}{32}}
-\bibcite{GreenCloud}{{8}{}{{}}{{}}}
-\bibcite{sla}{{9}{}{{}}{{}}}
+\newlabel{}{{6}{28}}
+\bibcite{e2dc12}{{2}{}{{}}{{}}}
+\bibcite{CloudSim}{{3}{}{{}}{{}}}
+\bibcite{DCSG}{{4}{}{{}}{{}}}
+\bibcite{DCD_Romonet}{{5}{}{{}}{{}}}
+\bibcite{networks}{{6}{}{{}}{{}}}
+\bibcite{Ghislain}{{7}{}{{}}{{}}}
+\bibcite{games}{{8}{}{{}}{{}}}
+\bibcite{GreenCloud}{{9}{}{{}}{{}}}
 \bibcite{GSSIM}{{10}{}{{}}{{}}}
 \bibcite{GSSIM_Energy}{{11}{}{{}}{{}}}
-\bibcite{hintemann}{{12}{}{{}}{{}}}
-\bibcite{koomey}{{13}{}{{}}{{}}}
+\bibcite{koomey}{{12}{}{{}}{{}}}
+\bibcite{fit4green_scheduler}{{13}{}{{}}{{}}}
 \bibcite{GWF}{{14}{}{{}}{{}}}
 \bibcite{SLURM}{{15}{}{{}}{{}}}
@@ -132,6 +124,6 @@
 \bibcite{coolemall}{{19}{}{{}}{{}}}
 \bibcite{ecocooling}{{20}{}{{}}{{}}}
-\bibcite{montblanc}{{21}{}{{}}{{}}}
+\bibcite{ff}{{21}{}{{}}{{}}}
 \bibcite{pue}{{22}{}{{}}{{}}}
 \bibcite{sgi}{{23}{}{{}}{{}}}
-\providecommand\NAT@force@numbers{}\NAT@force@numbers
+\global\NAT@numberstrue