Index: /DCWoRMS/trunk/src/test/jobschema/example/example1.xml
===================================================================
--- /DCWoRMS/trunk/src/test/jobschema/example/example1.xml	(revision 745)
+++ /DCWoRMS/trunk/src/test/jobschema/example/example1.xml	(revision 745)
@@ -0,0 +1,21 @@
+<qcgJob appId="102" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:noNamespaceSchemaLocation="../QCGJobDescriptionSchemaNew.xsd">
+	<task taskId="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>3</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<executionTime>
+			<executionDuration>PT2H</executionDuration>
+			<timePeriod>
+				<periodStart>2008-11-03T00:00:00.000+01:00</periodStart>
+				<periodEnd>2008-11-03T02:30:00.000+01:00</periodEnd>
+			</timePeriod>
+		</executionTime>
+	</task>
+</qcgJob>
Index: /DCWoRMS/trunk/src/test/jobschema/example/example2.xml
===================================================================
--- /DCWoRMS/trunk/src/test/jobschema/example/example2.xml	(revision 745)
+++ /DCWoRMS/trunk/src/test/jobschema/example/example2.xml	(revision 745)
@@ -0,0 +1,28 @@
+<qcgJob appId="1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:noNamespaceSchemaLocation="../QCGJobDescriptionSchemaNew.xsd">
+	<task taskId="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1</value>
+					</hostParameter>
+					<networkParameter name="bandwidth">
+						<value>100000</value>
+					</networkParameter>
+					<networkParameter name="latency">
+						<value>300</value>
+					</networkParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+			<stdin name="file01" type="in" size="500000">
+				<location type="REFERENCE">dataRes1</location>
+			</stdin>
+			<stdin name="file01" type="in" size="500000">
+				<location type="REFERENCE">dataRes1</location>
+			</stdin>
+		</execution>
+	</task>
+</qcgJob>
Index: /DCWoRMS/trunk/src/test/jobschema/example/example3.xml
===================================================================
--- /DCWoRMS/trunk/src/test/jobschema/example/example3.xml	(revision 745)
+++ /DCWoRMS/trunk/src/test/jobschema/example/example3.xml	(revision 745)
@@ -0,0 +1,49 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<qcgJob appId="0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:noNamespaceSchemaLocation="../QCGJobDescriptionSchemaNew.xsd">
+	<task taskId="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>4</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+		<resourceConsumptionProfile>
+			<resourceConsumption>
+				<time>
+					<periodStart>2008-11-03T00:00:00</periodStart>
+					<periodDuration>PT2H</periodDuration>
+				</time>
+				<behaviour name="memory">
+					<value>20</value>
+				</behaviour>
+				<behaviour name="net">
+					<value>10</value>
+				</behaviour>
+				<behaviour name="cpu">
+					<value>10</value>
+				</behaviour>
+			</resourceConsumption>
+			<resourceConsumption>
+				<time>
+					<periodStart>2008-11-03T02:00:00</periodStart>
+					<periodDuration>PT3H</periodDuration>
+				</time>
+				<behaviour name="memory">
+					<value>20</value>
+				</behaviour>
+				<behaviour name="net">
+					<value>0</value>
+				</behaviour>
+				<behaviour name="cpu">
+					<value>90</value>
+				</behaviour>
+			</resourceConsumption>
+		</resourceConsumptionProfile>
+		</execution>
+	</task>
+</qcgJob>
Index: /DCWoRMS/trunk/src/test/jobschema/example/example4.xml
===================================================================
--- /DCWoRMS/trunk/src/test/jobschema/example/example4.xml	(revision 745)
+++ /DCWoRMS/trunk/src/test/jobschema/example/example4.xml	(revision 745)
@@ -0,0 +1,43 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<qcgJob appId="0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:noNamespaceSchemaLocation="../QCGJobDescriptionSchemaNew.xsd">
+	<task taskId="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>4</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+		<resourceConsumptionProfile>
+			<resourceConsumption>
+				<percentage>40</percentage>
+				<behaviour name="memory">
+					<value>20</value>
+				</behaviour>
+				<behaviour name="net">
+					<value>10</value>
+				</behaviour>
+				<behaviour name="cpu">
+					<value>10</value>
+				</behaviour>
+			</resourceConsumption>
+			<resourceConsumption>
+				<percentage>60</percentage>
+				<behaviour name="memory">
+					<value>20</value>
+				</behaviour>
+				<behaviour name="net">
+					<value>0</value>
+				</behaviour>
+				<behaviour name="cpu">
+					<value>90</value>
+				</behaviour>
+			</resourceConsumption>
+		</resourceConsumptionProfile>
+		</execution>
+	</task>
+</qcgJob>