Index: DCWoRMS/trunk/src/schedframe/resources/computing/Core.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/resources/computing/Core.java	(revision 495)
+++ DCWoRMS/trunk/src/schedframe/resources/computing/Core.java	(revision 756)
@@ -13,6 +13,6 @@
 	public Core (ComputingResourceDescription resDesc) {
 		super(resDesc);
-		PowerInterface pi = PowerInterfaceFactory.createPowerInterface(this, resDesc.getPowerProfile());
-		accept(new EnergyExtension(pi, resDesc.getPowerProfile()));	
+		//PowerInterface pi = PowerInterfaceFactory.createPowerInterface(this, resDesc.getPowerProfile());
+		//accept(new EnergyExtension(pi, resDesc.getPowerProfile()));	
 	}
 
@@ -54,8 +54,8 @@
 	}
 
-	public void accept(EnergyExtension e){
+	/*private void accept(EnergyExtension e){
 		extensionList.add(e);
 		e.setResource(this);
-	}
+	}*/
 }
 
Index: DCWoRMS/trunk/src/schedframe/resources/computing/DataCenter.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/resources/computing/DataCenter.java	(revision 520)
+++ DCWoRMS/trunk/src/schedframe/resources/computing/DataCenter.java	(revision 756)
@@ -14,11 +14,6 @@
 		super(resDesc);
 		//extensionList.add(new EnergyExtension(this, resDesc.getPowerInterface(), resDesc.getEnergyEstimationPlugin()));
-		PowerInterface pi = PowerInterfaceFactory.createPowerInterface(this, resDesc.getPowerProfile());
-		accept(new EnergyExtension(pi, resDesc.getPowerProfile()));
-	}
-		
-	public void accept(EnergyExtension e){
-		extensionList.add(e);
-		e.setResource(this);
+		//PowerInterface pi = PowerInterfaceFactory.createPowerInterface(this, resDesc.getPowerProfile());
+		//accept(new EnergyExtension(pi, resDesc.getPowerProfile()));
 	}
 	
@@ -27,3 +22,8 @@
 		return (List<ComputingNode>) getDescendantsByType(StandardResourceType.ComputingNode);
 	}
+	
+	/*private void accept(EnergyExtension e){
+		extensionList.add(e);
+		e.setResource(this);
+	}*/
 }
Index: DCWoRMS/trunk/src/schedframe/resources/computing/ComputingNode.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/resources/computing/ComputingNode.java	(revision 497)
+++ DCWoRMS/trunk/src/schedframe/resources/computing/ComputingNode.java	(revision 756)
@@ -10,4 +10,6 @@
 import schedframe.resources.computing.extensions.ExtensionType;
 import schedframe.resources.computing.profiles.energy.EnergyExtension;
+import schedframe.resources.computing.profiles.energy.airthroughput.AirThroughputInterfaceFactory;
+import schedframe.resources.computing.profiles.energy.airthroughput.ui.AirThroughputInterface;
 import schedframe.resources.computing.profiles.energy.power.PowerInterfaceFactory;
 import schedframe.resources.computing.profiles.energy.power.ui.ComputingNodePowerInterface;
@@ -26,6 +28,8 @@
 		
 		//extensionList.add(new EnergyExtension(this, resDesc.getPowerInterface(), resDesc.getEnergyEstimationPlugin()));
-		PowerInterface pi = PowerInterfaceFactory.createPowerInterface(this, resDesc.getPowerProfile());
-		accept(new EnergyExtension(pi, resDesc.getPowerProfile()));	
+		//PowerInterface pi = PowerInterfaceFactory.createPowerInterface(this, resDesc.getPowerProfile());
+		//AirThroughputInterface ai = AirThroughputInterfaceFactory.createAirThroughputInterface(this, resDesc.getAirThroughputProfile());
+		//accept(new EnergyExtension(pi, resDesc.getPowerProfile()));
+		//accept(new EnergyExtension(pi, resDesc.getPowerProfile(), ai, resDesc.getAirThroughputProfile()));	
 	}
 	
@@ -82,5 +86,5 @@
 	
 	public Memory getMemory() throws NoSuchFieldException {
-		return (Memory)resourceCharacteristic.getResourceUnit(StandardResourceUnitName.MEMORY);
+		return (Memory) resourceCharacteristic.getResourceUnit(StandardResourceUnitName.MEMORY);
 	}
 	
@@ -103,7 +107,7 @@
 	
 	
-	public void accept(EnergyExtension e){
+	/*private void accept(EnergyExtension e){
 		extensionList.add(e);
 		e.setResource(this);
-	}
+	}*/
 }
Index: DCWoRMS/trunk/src/schedframe/resources/computing/ComputingResource.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/resources/computing/ComputingResource.java	(revision 517)
+++ DCWoRMS/trunk/src/schedframe/resources/computing/ComputingResource.java	(revision 756)
@@ -68,4 +68,5 @@
 		this.extensionList = new ExtensionListImpl(1);
 		initCharacteristics(resDesc);
+		accept(new EnergyExtension(this, resDesc.getPowerProfile(), resDesc.getAirThroughputProfile()));	
 		addFakeProcessors();
 	}
@@ -321,3 +322,8 @@
 		//getEventHandler().handleResourceEvent(new EnergyEvent(EnergyEventType.POWER_STATE_CHANGED, "Resource controller"));
 	}
+	
+	
+	private void accept(EnergyExtension e){
+		extensionList.add(e);
+	}
 }
Index: DCWoRMS/trunk/src/schedframe/resources/computing/Processor.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/resources/computing/Processor.java	(revision 495)
+++ DCWoRMS/trunk/src/schedframe/resources/computing/Processor.java	(revision 756)
@@ -22,6 +22,6 @@
 		super(resDesc);
 		//extensionList.add(new EnergyExtension(this, resDesc.getPowerInterface(), resDesc.getEnergyEstimationPlugin()));
-		PowerInterface pi = PowerInterfaceFactory.createPowerInterface(this, resDesc.getPowerProfile());
-		accept(new EnergyExtension(pi, resDesc.getPowerProfile()));	
+		//PowerInterface pi = PowerInterfaceFactory.createPowerInterface(this, resDesc.getPowerProfile());
+		//accept(new EnergyExtension(pi, resDesc.getPowerProfile()));	
 	}
 
@@ -87,8 +87,8 @@
 	}
 
-	public void accept(EnergyExtension e){
+	/*private void accept(EnergyExtension e){
 		extensionList.add(e);
 		e.setResource(this);
-	}
+	}*/
 }
 
Index: DCWoRMS/trunk/src/schedframe/resources/computing/Rack.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/resources/computing/Rack.java	(revision 495)
+++ DCWoRMS/trunk/src/schedframe/resources/computing/Rack.java	(revision 756)
@@ -14,6 +14,6 @@
 	public Rack (ComputingResourceDescription resDesc) {
 		super(resDesc);
-		PowerInterface pi = PowerInterfaceFactory.createPowerInterface(this, resDesc.getPowerProfile());
-		accept(new EnergyExtension(pi, resDesc.getPowerProfile()));	
+		//PowerInterface pi = PowerInterfaceFactory.createPowerInterface(this, resDesc.getPowerProfile());
+		//accept(new EnergyExtension(pi, resDesc.getPowerProfile()));	
 	}
 
@@ -28,7 +28,7 @@
 	}
 	
-	public void accept(EnergyExtension e){
+	/*private void accept(EnergyExtension e){
 		extensionList.add(e);
 		e.setResource(this);
-	}
+	}*/
 }