Index: DCWoRMS/trunk/example/experiment5/resources5.xml
===================================================================
--- DCWoRMS/trunk/example/experiment5/resources5.xml	(revision 757)
+++ DCWoRMS/trunk/example/experiment5/resources5.xml	(revision 757)
@@ -0,0 +1,112 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCWormsResSchema.xsd">
+	
+	<!-- Data Center description with energy parameters -->
+	<resources>
+		<computingResource class="DataCenter" name="compRes">
+			<!-- Data Center contains of 4 computing nodes belonging to two different classes (with different power consumption level)-->
+			<computingResource class="ComputingNode" count="2">
+				<!-- Defines the computing node category - information can be used by user to facilitate the resource management process within various plugins -->
+				<parameter name="category">
+					<value>A</value>
+				</parameter>
+				<profile>
+					<!-- Definition of computing node power profile -->
+					<powerProfile>
+						<!-- Reference to energy usage estimation plugin -->
+						<energyEstimationPlugin>
+							<name>example.energy.ComputingNodeWithFanEnergyEstimationPlugin</name>
+						</energyEstimationPlugin>	
+						<!-- Definition of supported power states and corresponding power consumption -->	
+						<!-- Units according to the user interpretation, however statistics chart generator module by default express the values in Watts -->
+						<powerStates>
+							<powerState>
+								<name>ON</name>
+								<powerUsage>750</powerUsage>
+							</powerState>
+							<powerState>
+								<name>OFF</name>
+								<powerUsage>0</powerUsage>
+							</powerState>
+						</powerStates>				
+					</powerProfile>
+					<airThroughputProfile>
+						<airThroughputStates>
+							<airThroughputState>
+								<name>FAN_ON</name>
+								<value>1000</value>
+								<powerUsage>30</powerUsage>
+							</airThroughputState>
+							<airThroughputState>
+								<name>FAN_OFF</name>
+								<value>0</value>
+								<powerUsage>10</powerUsage>
+							</airThroughputState>
+						</airThroughputStates>
+					</airThroughputProfile>
+				</profile>
+				<!-- Each of 2 computing nodes contains 4 processors-->
+				<computingResource class="Processor" count="4">
+				</computingResource>
+			</computingResource>	
+			<computingResource class="ComputingNode" count="2">
+				<!-- Defines the computing node category - information can be used by user to facilitate the resource management process within various plugins -->
+				<parameter name="category">
+					<value>B</value>
+				</parameter>
+				<profile>
+					<!-- Definition of computing node power profile -->
+					<powerProfile>
+						<!-- Reference to energy usage estimation plugin -->
+						<energyEstimationPlugin>
+							<name>example.energy.ComputingNodeWithFanEnergyEstimationPlugin</name>
+						</energyEstimationPlugin>
+						<!-- Definition of supported power states and corresponding power consumption -->	
+						<!-- Units according to the user interpretation, however statistics chart generator module by default express the values in Watts -->	
+						<powerStates>
+							<powerState>
+								<name>ON</name>
+								<powerUsage>850</powerUsage>
+							</powerState>
+							<powerState>
+								<name>OFF</name>
+								<powerUsage>0</powerUsage>
+							</powerState>
+						</powerStates>				
+					</powerProfile>
+					<airThroughputProfile>
+						<airThroughputStates>
+							<airThroughputState>
+								<name>FAN_ON</name>
+								<value>1000</value>
+								<powerUsage>30</powerUsage>
+							</airThroughputState>
+							<airThroughputState>
+								<name>FAN_OFF</name>
+								<value>0</value>
+								<powerUsage>10</powerUsage>
+							</airThroughputState>
+						</airThroughputStates>
+					</airThroughputProfile>
+				</profile>
+				<!-- Each of 2 computing nodes contains 4 processors-->
+				<computingResource class="Processor" count="4">
+				</computingResource>
+			</computingResource>	
+		</computingResource>
+		<scheduler class="Cluster" name="cluster">
+			<!-- Definition of scheduling plugin at cluster level -->
+			<!-- Switch between scheduling/power management plugins to observe the difference in power consumption -->
+			<schedulingPlugin>
+				<!-- <name>example.localplugin.FCFSBF_RandomClusterPlugin</name> -->
+				<name>example.localplugin.FCFSBF_FanManagementClusterPlugin</name>
+			</schedulingPlugin>	
+			<!-- Reference to managed resources - cluster manages resources belonging to the defined data center -->
+			<managedComputingResources include="false">
+				<resourceName>compRes</resourceName>
+			</managedComputingResources>
+		</scheduler>	
+	</resources>
+
+</environment>
Index: DCWoRMS/trunk/example/experiment5/experiment5.properties
===================================================================
--- DCWoRMS/trunk/example/experiment5/experiment5.properties	(revision 757)
+++ DCWoRMS/trunk/example/experiment5/experiment5.properties	(revision 757)
@@ -0,0 +1,23 @@
+# Use single *.swf file as workload description.
+
+# Path to xml file which describes resource characteristics.
+resdesc=example/experiment5/resources5.xml
+
+# and swf file, which name is declared by readscenario.workloadfilename parameter.
+# Swf file must be placed in readscenario.inputfolder directory.  
+readscenario.workloadfilename=example/experiment5/workload.swf
+
+# Choose directory where all result files should be placed.
+stats.outputfolder=../experiment5_result
+
+# Define the type and content of charts to generate
+
+# Gantt chart
+creatediagrams.gantt=true
+
+# Power usage chart - for computing nodes only
+creatediagrams.respowerusage=ComputingNode
+
+creatediagrams.resutilization=ComputingNode
+
+creatediagrams.resairflow=ComputingNode
Index: DCWoRMS/trunk/example/experiment5/workload.swf
===================================================================
--- DCWoRMS/trunk/example/experiment5/workload.swf	(revision 757)
+++ DCWoRMS/trunk/example/experiment5/workload.swf	(revision 757)
@@ -0,0 +1,30 @@
+;Automatically generated workload description by the Grid Scheduling Simulator
+;		j|		s|		w|		r|		c|		c|		m|		p|		t|		m|		s|		u|		g|		e|		q|		p|		p|		t|
+;		o|		u|		a|		u|		p|		p|		e|		r|		i|		e|		t|		i|		i|		x|		u|		a|		r|		h|
+;		b|		b|		i|		n|		u|		u|		m|		o|		m|		m|		a|		d|		d|		e|		e|		r|		e|		i|
+;		 |		m|		t|		t|		 |		 |		 |		c|		e|		 |		t|		 |		 |		c|		u|		t|		c|		n|
+;		 |		i|		 |		i|		a|		t|		u|		 |		 |		r|		u|		 |		 |		u|		e|		i|		 |		k|
+;		 |		t|		 |		m|		l|		i|		s|		r|		r|		e|		s|		 |		 |		t|		 |		t|		j|		 |
+;		 |		 |		 |		e|		l|		m|		e|		e|		e|		q|		 |		 |		 |		a|		n|		i|		o|		t|
+;		 |		 |		 |		 |		o|		e|		d|		q|		q|		 |		 |		 |		 |		b|		r|		o|		b|		i|
+;		 |		 |		 |		 |		c|		 |		 |		 |		 |		 |		 |		 |		 |		l|		 |		n|		 |		m|
+;		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		e|		 |		 |		 |		e|
+;StartTime: Mon Nov 03 00:00:00 CET 2008
+;PUSpeed: 1
+
+
+		1			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		2			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		3			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		4			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+ 		5			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+ 		6			0			-1		10800	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+; -----------
+		7			0			-1		14400	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		8			0			-1		28800	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		9			3600		-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		10			21600		-1		21600	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+ 		11			25200		-1		25200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+ 		12			39600		-1		14400	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+  		13			46800		-1		10800	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+ 		
Index: DCWoRMS/trunk/example/experiment5/RunExperiment.java
===================================================================
--- DCWoRMS/trunk/example/experiment5/RunExperiment.java	(revision 757)
+++ DCWoRMS/trunk/example/experiment5/RunExperiment.java	(revision 757)
@@ -0,0 +1,20 @@
+package experiment5;
+
+import simulator.DataCenterWorkloadSimulator;
+
+
+public class RunExperiment {
+	
+	public static void main(String args[]){
+		RunExperiment runner = new RunExperiment();
+		runner.run();
+	}
+	
+	public void run(){
+		String args[] = {
+				"example/experiment5/experiment5.properties"
+				};
+		DataCenterWorkloadSimulator.main(args);
+	}
+
+}