Index: /DCWoRMS/trunk/example/experiment5_result/Stats_Simulation 1_Jobs.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment5_result/Stats_Simulation 1_Jobs.txt	(revision 760)
+++ /DCWoRMS/trunk/example/experiment5_result/Stats_Simulation 1_Jobs.txt	(revision 760)
@@ -0,0 +1,14 @@
+jobID;meanTaskCompletionTime;meanTaskExecutionTime;meanTaskStartTime;meanTaskFlowTime;meanTaskWaitingTime;meanTaskGQ_WaitingTime;lateness;tardiness;makespan;
+1;7,200;7,200;0;7,200;0;0;0;0;7,200;
+2;7,200;7,200;0;7,200;0;0;0;0;7,200;
+3;7,200;7,200;0;7,200;0;0;0;0;7,200;
+4;7,200;7,200;0;7,200;0;0;0;0;7,200;
+5;7,200;7,200;0;7,200;0;0;0;0;7,200;
+6;10,800;10,800;0;10,800;0;0;0;0;10,800;
+7;14,400;14,400;0;14,400;0;0;0;0;14,400;
+8;28,800;28,800;0;28,800;0;0;0;0;28,800;
+9;10,800;7,200;0;7,200;0;0;0;0;10,800;
+10;43,200;21,600;0;21,600;0;0;0;0;43,200;
+11;50,400;25,200;0;25,200;0;0;0;0;50,400;
+12;54,000;14,400;0;14,400;0;0;0;0;54,000;
+13;57,600;10,800;0;10,800;0;0;0;0;57,600;
Index: /DCWoRMS/trunk/example/experiment5_result/Stats_Simulation 1_EnergyUsage.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment5_result/Stats_Simulation 1_EnergyUsage.txt	(revision 760)
+++ /DCWoRMS/trunk/example/experiment5_result/Stats_Simulation 1_EnergyUsage.txt	(revision 760)
@@ -0,0 +1,45 @@
+resourceName;timestamp;consumption;
+
+ComputingNode_0;1225666800000;780;
+ComputingNode_0;1225674000000;760;
+ComputingNode_0;1225724400000;760;
+mean: 762.5 sum: 12200.0
+
+ComputingNode_1;1225666800000;780;
+ComputingNode_1;1225681200000;760;
+ComputingNode_1;1225688400000;780;
+ComputingNode_1;1225710000000;760;
+ComputingNode_1;1225713600000;780;
+ComputingNode_1;1225724400000;760;
+mean: 776.25 sum: 12420.0
+
+ComputingNode_2;1225666800000;880;
+ComputingNode_2;1225674000000;860;
+ComputingNode_2;1225692000000;880;
+ComputingNode_2;1225717200000;860;
+ComputingNode_2;1225724400000;860;
+mean: 871.25 sum: 13940.0
+
+ComputingNode_3;1225666800000;880;
+ComputingNode_3;1225695600000;860;
+ComputingNode_3;1225706400000;880;
+ComputingNode_3;1225720800000;860;
+ComputingNode_3;1225724400000;860;
+mean: 875.0 sum: 14000.0
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: /DCWoRMS/trunk/example/experiment5_result/Stats_Simulation 1_ResourceUtilization.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment5_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 760)
+++ /DCWoRMS/trunk/example/experiment5_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 760)
@@ -0,0 +1,96 @@
+resourceName;timestamp;utilization;
+compRes;1225666800000;0.5;
+compRes;1225670400000;0.562;
+compRes;1225674000000;0.25;
+compRes;1225677600000;0.125;
+compRes;1225681200000;0.062;
+compRes;1225688400000;0.125;
+compRes;1225692000000;0.188;
+compRes;1225695600000;0.125;
+compRes;1225706400000;0.188;
+compRes;1225710000000;0.125;
+compRes;1225713600000;0.188;
+compRes;1225717200000;0.125;
+compRes;1225720800000;0.062;
+compRes;1225724400000;0;
+mean: 0.18359375
+
+ComputingNode_0;1225666800000;0.5;
+ComputingNode_0;1225674000000;0;
+mean: 0.0625
+
+ComputingNode_1;1225666800000;0.5;
+ComputingNode_1;1225670400000;0.75;
+ComputingNode_1;1225674000000;0.5;
+ComputingNode_1;1225677600000;0.25;
+ComputingNode_1;1225681200000;0;
+ComputingNode_1;1225688400000;0.25;
+ComputingNode_1;1225710000000;0;
+ComputingNode_1;1225713600000;0.25;
+ComputingNode_1;1225724400000;0;
+mean: 0.265625
+
+ComputingNode_2;1225666800000;0.5;
+ComputingNode_2;1225674000000;0;
+ComputingNode_2;1225692000000;0.25;
+ComputingNode_2;1225717200000;0;
+mean: 0.171875
+
+ComputingNode_3;1225666800000;0.5;
+ComputingNode_3;1225677600000;0.25;
+ComputingNode_3;1225695600000;0;
+ComputingNode_3;1225706400000;0.25;
+ComputingNode_3;1225720800000;0;
+mean: 0.234375
+
+Processor_0;1225666800000;1;
+Processor_0;1225674000000;0;
+mean: 0.125
+
+Processor_1;1225666800000;1;
+Processor_1;1225674000000;0;
+mean: 0.125
+
+
+
+Processor_4;1225666800000;1;
+Processor_4;1225674000000;0;
+Processor_4;1225688400000;1;
+Processor_4;1225710000000;0;
+Processor_4;1225713600000;1;
+Processor_4;1225724400000;0;
+mean: 0.6875
+
+Processor_5;1225666800000;1;
+Processor_5;1225681200000;0;
+mean: 0.25
+
+Processor_6;1225670400000;1;
+Processor_6;1225677600000;0;
+mean: 0.125
+
+
+Processor_8;1225666800000;1;
+Processor_8;1225674000000;0;
+Processor_8;1225692000000;1;
+Processor_8;1225717200000;0;
+mean: 0.5625
+
+Processor_9;1225666800000;1;
+Processor_9;1225674000000;0;
+mean: 0.125
+
+
+
+Processor_12;1225666800000;1;
+Processor_12;1225677600000;0;
+Processor_12;1225706400000;1;
+Processor_12;1225720800000;0;
+mean: 0.4375
+
+Processor_13;1225666800000;1;
+Processor_13;1225695600000;0;
+mean: 0.5
+
+
+
Index: /DCWoRMS/trunk/example/experiment5_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment5_result/Stats_Simulation 1_Simulation.txt	(revision 760)
+++ /DCWoRMS/trunk/example/experiment5_result/Stats_Simulation 1_Simulation.txt	(revision 760)
@@ -0,0 +1,14 @@
+Resource name;mean;stdev;variance;minimum;maximum;sum;count;
+Delayed tasks;0;0;0;0;0;0;1;
+Failed requests (tasks);0;0;0;0;0;0;1;
+Makespan;57,600;0;0;57,600;57,600;57,600;1;
+Resources queue length;0.812;0;0;0.812;0.812;0.812;1;
+Resources total load;0.184;0;0;0.184;0.184;0.184;1;
+Energy usage;13,140;833.906;695,400;12,200;14,000;52,560;4;
+Task completion time;23,538.462;19,546.14;382,051,597.633;7,200;57,600;306,000;13;
+Task execution time;13,015.385;7,274.174;52,913,609.467;7,200;28,800;169,200;13;
+Task start time;0;0;0;0;0;0;13;
+Task flow time;13,015.385;7,274.174;52,913,609.467;7,200;28,800;169,200;13;
+Task waiting time;0;0;0;0;0;0;13;
+Task lateness;0;0;0;0;0;0;13;
+Task tardiness;0;0;0;0;0;0;13;
Index: /DCWoRMS/trunk/example/experiment5_result/Stats_Simulation 1_AirThroughput.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment5_result/Stats_Simulation 1_AirThroughput.txt	(revision 760)
+++ /DCWoRMS/trunk/example/experiment5_result/Stats_Simulation 1_AirThroughput.txt	(revision 760)
@@ -0,0 +1,45 @@
+resourceName;timestamp;airFlow;
+
+ComputingNode_0;1225666800000;1,000;
+ComputingNode_0;1225674000000;0;
+ComputingNode_0;1225724400000;0;
+mean: 125.0 sum: 2000.0
+
+ComputingNode_1;1225666800000;1,000;
+ComputingNode_1;1225681200000;0;
+ComputingNode_1;1225688400000;1,000;
+ComputingNode_1;1225710000000;0;
+ComputingNode_1;1225713600000;1,000;
+ComputingNode_1;1225724400000;0;
+mean: 812.5 sum: 13000.0
+
+ComputingNode_2;1225666800000;1,000;
+ComputingNode_2;1225674000000;0;
+ComputingNode_2;1225692000000;1,000;
+ComputingNode_2;1225717200000;0;
+ComputingNode_2;1225724400000;0;
+mean: 562.5 sum: 9000.0
+
+ComputingNode_3;1225666800000;1,000;
+ComputingNode_3;1225695600000;0;
+ComputingNode_3;1225706400000;1,000;
+ComputingNode_3;1225720800000;0;
+ComputingNode_3;1225724400000;0;
+mean: 750.0 sum: 12000.0
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: /DCWoRMS/trunk/example/experiment5_result/Stats_Simulation 1_Tasks.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment5_result/Stats_Simulation 1_Tasks.txt	(revision 760)
+++ /DCWoRMS/trunk/example/experiment5_result/Stats_Simulation 1_Tasks.txt	(revision 760)
@@ -0,0 +1,14 @@
+JobID;TaskID;UserDN;ResName;CpuCnt;ExecStartDate;ExecFinishDate;ExecEndDate;GB_SubDate;LB_SubDate;CompletionTime;ExecStartTime;ExecutionTime;ReadyTime;StartTime;FlowTime;WaitingTime;GQ_WaitingTime;Lateness;Tardiness;ReservStartDate;ReservFinishDate;ProcessorName;Energy;
+1;1;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_8];
+2;2;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_0];
+3;3;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_1];
+4;4;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_9];
+5;5;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_4];
+6;6;-1;cluster;1;1225666800;1225677600;1225677600;1225666800;1225666800;10800;0;10800;0;0;10800;0;0;0;0;0;0;[Processor_12];
+7;7;-1;cluster;1;1225666800;1225681200;1225681200;1225666800;1225666800;14400;0;14400;0;0;14400;0;0;0;0;0;0;[Processor_5];
+8;8;-1;cluster;1;1225666800;1225695600;1225695600;1225666800;1225666800;28800;0;28800;0;0;28800;0;0;0;0;0;0;[Processor_13];
+9;9;-1;cluster;1;1225670400;1225677600;1225677600;1225670400;1225670400;10800;3600;7200;3600;0;7200;0;0;0;0;0;0;[Processor_6];
+10;10;-1;cluster;1;1225688400;1225710000;1225710000;1225688400;1225688400;43200;21600;21600;21600;0;21600;0;0;0;0;0;0;[Processor_4];
+11;11;-1;cluster;1;1225692000;1225717200;1225717200;1225692000;1225692000;50400;25200;25200;25200;0;25200;0;0;0;0;0;0;[Processor_8];
+12;12;-1;cluster;1;1225706400;1225720800;1225720800;1225706400;1225706400;54000;39600;14400;39600;0;14400;0;0;0;0;0;0;[Processor_12];
+13;13;-1;cluster;1;1225713600;1225724400;1225724400;1225713600;1225713600;57600;46800;10800;46800;0;10800;0;0;0;0;0;0;[Processor_4];
Index: /DCWoRMS/trunk/example/experiment5_result/experiment.properties
===================================================================
--- /DCWoRMS/trunk/example/experiment5_result/experiment.properties	(revision 760)
+++ /DCWoRMS/trunk/example/experiment5_result/experiment.properties	(revision 760)
@@ -0,0 +1,23 @@
+# Use single *.swf file as workload description.
+
+# Path to xml file which describes resource characteristics.
+resdesc=example/experiment5/resources5.xml
+
+# and swf file, which name is declared by readscenario.workloadfilename parameter.
+# Swf file must be placed in readscenario.inputfolder directory.  
+readscenario.workloadfilename=example/experiment5/workload.swf
+
+# Choose directory where all result files should be placed.
+stats.outputfolder=../experiment5_result
+
+# Define the type and content of charts to generate
+
+# Gantt chart
+creatediagrams.gantt=true
+
+# Power usage chart - for computing nodes only
+creatediagrams.respowerusage=ComputingNode
+
+creatediagrams.resutilization=ComputingNode
+
+creatediagrams.resairflow=ComputingNode