Index: /DCWoRMS/trunk/example/experiment6/workload/QcgJob_09.xml
===================================================================
--- /DCWoRMS/trunk/example/experiment6/workload/QcgJob_09.xml	(revision 766)
+++ /DCWoRMS/trunk/example/experiment6/workload/QcgJob_09.xml	(revision 766)
@@ -0,0 +1,41 @@
+<qcgJob appId="9">
+	<task taskId="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>4.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<percentage>40</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>10</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>10</value>
+					</behaviour>
+				</resourceConsumption>
+				<resourceConsumption>
+					<percentage>60</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>0</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>90</value>
+					</behaviour>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</qcgJob>
Index: /DCWoRMS/trunk/example/experiment6/workload/workload.swf
===================================================================
--- /DCWoRMS/trunk/example/experiment6/workload/workload.swf	(revision 766)
+++ /DCWoRMS/trunk/example/experiment6/workload/workload.swf	(revision 766)
@@ -0,0 +1,32 @@
+;Automatically generated workload description by the Grid Scheduling Simulator
+;		j|		s|		w|		r|		c|		c|		m|		p|		t|		m|		s|		u|		g|		e|		q|		p|		p|		t|
+;		o|		u|		a|		u|		p|		p|		e|		r|		i|		e|		t|		i|		i|		x|		u|		a|		r|		h|
+;		b|		b|		i|		n|		u|		u|		m|		o|		m|		m|		a|		d|		d|		e|		e|		r|		e|		i|
+;		 |		m|		t|		t|		 |		 |		 |		c|		e|		 |		t|		 |		 |		c|		u|		t|		c|		n|
+;		 |		i|		 |		i|		a|		t|		u|		 |		 |		r|		u|		 |		 |		u|		e|		i|		 |		k|
+;		 |		t|		 |		m|		l|		i|		s|		r|		r|		e|		s|		 |		 |		t|		 |		t|		j|		 |
+;		 |		 |		 |		e|		l|		m|		e|		e|		e|		q|		 |		 |		 |		a|		n|		i|		o|		t|
+;		 |		 |		 |		 |		o|		e|		d|		q|		q|		 |		 |		 |		 |		b|		r|		o|		b|		i|
+;		 |		 |		 |		 |		c|		 |		 |		 |		 |		 |		 |		 |		 |		l|		 |		n|		 |		m|
+;		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		e|		 |		 |		 |		e|
+;StartTime: Mon Nov 03 00:00:00 CET 2008
+;PUSpeed: 1
+
+
+;IDMapping: swfID:jobID:taskID
+; 1:0:0, 2:1:0, 3:2:0, 4:3:0, 
+; 5:4:0, 6:5:0, 7:6:0, 8:7:0,
+; 9:8:0, 10:9:0, 
+;IDMapping: end
+
+		1			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		2			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		3			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		4			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+ 		5			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+ 		6			0			-1		10800	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+; -----------
+		7			0			-1		14400	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		8			0			-1		28800	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		9			3600		-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		10			21600		-1		21600	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
Index: /DCWoRMS/trunk/example/experiment6/workload/QcgJob_00.xml
===================================================================
--- /DCWoRMS/trunk/example/experiment6/workload/QcgJob_00.xml	(revision 766)
+++ /DCWoRMS/trunk/example/experiment6/workload/QcgJob_00.xml	(revision 766)
@@ -0,0 +1,41 @@
+<qcgJob appId="0">
+	<task taskId="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>2.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<percentage>40</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>10</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>10</value>
+					</behaviour>
+				</resourceConsumption>
+				<resourceConsumption>
+					<percentage>60</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>0</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>90</value>
+					</behaviour>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</qcgJob>
Index: /DCWoRMS/trunk/example/experiment6/workload/QcgJob_01.xml
===================================================================
--- /DCWoRMS/trunk/example/experiment6/workload/QcgJob_01.xml	(revision 766)
+++ /DCWoRMS/trunk/example/experiment6/workload/QcgJob_01.xml	(revision 766)
@@ -0,0 +1,41 @@
+<qcgJob appId="1">
+	<task taskId="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>2.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<percentage>40</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>10</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>10</value>
+					</behaviour>
+				</resourceConsumption>
+				<resourceConsumption>
+					<percentage>60</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>0</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>90</value>
+					</behaviour>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</qcgJob>
Index: /DCWoRMS/trunk/example/experiment6/workload/QcgJob_02.xml
===================================================================
--- /DCWoRMS/trunk/example/experiment6/workload/QcgJob_02.xml	(revision 766)
+++ /DCWoRMS/trunk/example/experiment6/workload/QcgJob_02.xml	(revision 766)
@@ -0,0 +1,41 @@
+<qcgJob appId="2">
+	<task taskId="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>4.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<percentage>40</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>10</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>10</value>
+					</behaviour>
+				</resourceConsumption>
+				<resourceConsumption>
+					<percentage>60</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>0</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>90</value>
+					</behaviour>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</qcgJob>
Index: /DCWoRMS/trunk/example/experiment6/workload/QcgJob_03.xml
===================================================================
--- /DCWoRMS/trunk/example/experiment6/workload/QcgJob_03.xml	(revision 766)
+++ /DCWoRMS/trunk/example/experiment6/workload/QcgJob_03.xml	(revision 766)
@@ -0,0 +1,41 @@
+<qcgJob appId="3">
+	<task taskId="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>2.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<percentage>40</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>10</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>10</value>
+					</behaviour>
+				</resourceConsumption>
+				<resourceConsumption>
+					<percentage>60</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>0</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>90</value>
+					</behaviour>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</qcgJob>
Index: /DCWoRMS/trunk/example/experiment6/workload/QcgJob_04.xml
===================================================================
--- /DCWoRMS/trunk/example/experiment6/workload/QcgJob_04.xml	(revision 766)
+++ /DCWoRMS/trunk/example/experiment6/workload/QcgJob_04.xml	(revision 766)
@@ -0,0 +1,41 @@
+<qcgJob appId="4">
+	<task taskId="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>2.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<percentage>40</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>10</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>10</value>
+					</behaviour>
+				</resourceConsumption>
+				<resourceConsumption>
+					<percentage>60</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>0</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>90</value>
+					</behaviour>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</qcgJob>
Index: /DCWoRMS/trunk/example/experiment6/workload/QcgJob_05.xml
===================================================================
--- /DCWoRMS/trunk/example/experiment6/workload/QcgJob_05.xml	(revision 766)
+++ /DCWoRMS/trunk/example/experiment6/workload/QcgJob_05.xml	(revision 766)
@@ -0,0 +1,41 @@
+<qcgJob appId="5">
+	<task taskId="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>2.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<percentage>40</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>10</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>10</value>
+					</behaviour>
+				</resourceConsumption>
+				<resourceConsumption>
+					<percentage>60</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>0</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>90</value>
+					</behaviour>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</qcgJob>
Index: /DCWoRMS/trunk/example/experiment6/workload/QcgJob_06.xml
===================================================================
--- /DCWoRMS/trunk/example/experiment6/workload/QcgJob_06.xml	(revision 766)
+++ /DCWoRMS/trunk/example/experiment6/workload/QcgJob_06.xml	(revision 766)
@@ -0,0 +1,41 @@
+<qcgJob appId="6">
+	<task taskId="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>2.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<percentage>40</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>10</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>10</value>
+					</behaviour>
+				</resourceConsumption>
+				<resourceConsumption>
+					<percentage>60</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>0</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>90</value>
+					</behaviour>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</qcgJob>
Index: /DCWoRMS/trunk/example/experiment6/workload/QcgJob_07.xml
===================================================================
--- /DCWoRMS/trunk/example/experiment6/workload/QcgJob_07.xml	(revision 766)
+++ /DCWoRMS/trunk/example/experiment6/workload/QcgJob_07.xml	(revision 766)
@@ -0,0 +1,41 @@
+<qcgJob appId="7">
+	<task taskId="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<percentage>40</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>10</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>10</value>
+					</behaviour>
+				</resourceConsumption>
+				<resourceConsumption>
+					<percentage>60</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>0</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>90</value>
+					</behaviour>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</qcgJob>
Index: /DCWoRMS/trunk/example/experiment6/workload/QcgJob_08.xml
===================================================================
--- /DCWoRMS/trunk/example/experiment6/workload/QcgJob_08.xml	(revision 766)
+++ /DCWoRMS/trunk/example/experiment6/workload/QcgJob_08.xml	(revision 766)
@@ -0,0 +1,41 @@
+<qcgJob appId="8">
+	<task taskId="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<execution>
+			<resourceConsumptionProfile>
+				<resourceConsumption>
+					<percentage>40</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>10</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>10</value>
+					</behaviour>
+				</resourceConsumption>
+				<resourceConsumption>
+					<percentage>60</percentage>
+					<behaviour name="memory">
+						<value>20</value>
+					</behaviour>
+					<behaviour name="net">
+						<value>0</value>
+					</behaviour>
+					<behaviour name="cpu">
+						<value>90</value>
+					</behaviour>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+		</execution>
+	</task>
+</qcgJob>