Index: DCWoRMS/trunk/example/experiment6_result/Stats_Simulation 1_AirThroughput.txt
===================================================================
--- DCWoRMS/trunk/example/experiment6_result/Stats_Simulation 1_AirThroughput.txt	(revision 771)
+++ DCWoRMS/trunk/example/experiment6_result/Stats_Simulation 1_AirThroughput.txt	(revision 771)
@@ -0,0 +1,8 @@
+resourceName;timestamp;airFlow;
+
+
+
+
+
+
+
Index: DCWoRMS/trunk/example/experiment6_result/Stats_Simulation 1_Tasks.txt
===================================================================
--- DCWoRMS/trunk/example/experiment6_result/Stats_Simulation 1_Tasks.txt	(revision 771)
+++ DCWoRMS/trunk/example/experiment6_result/Stats_Simulation 1_Tasks.txt	(revision 771)
@@ -0,0 +1,11 @@
+JobID;TaskID;UserDN;ResName;CpuCnt;ExecStartDate;ExecFinishDate;ExecEndDate;GB_SubDate;LB_SubDate;CompletionTime;ExecStartTime;ExecutionTime;ReadyTime;StartTime;FlowTime;WaitingTime;GQ_WaitingTime;Lateness;Tardiness;ReservStartDate;ReservFinishDate;ProcessorName;Energy;
+0;0;-1;cluster;2;1225666800;1225670400;1225670400;1225666800;1225666800;3600;0;3600;0;0;3600;0;0;0;0;0;0;[Processor_0, Processor_1];
+1;0;-1;cluster;2;1225666800;1225670400;1225670400;1225666800;1225666800;3600;0;3600;0;0;3600;0;0;0;0;0;0;[Processor_2, Processor_3];
+2;0;-1;cluster;4;1225677600;1225679400;1225679400;1225666800;1225666800;12600;10800;1800;0;10800;12600;10800;0;0;0;0;0;[Processor_2, Processor_3, Processor_4, Processor_5];
+3;0;-1;cluster;2;1225666800;1225670400;1225670400;1225666800;1225666800;3600;0;3600;0;0;3600;0;0;0;0;0;0;[Processor_4, Processor_5];
+4;0;-1;cluster;2;1225670400;1225674000;1225674000;1225666800;1225666800;7200;3600;3600;0;3600;7200;3600;0;0;0;0;0;[Processor_0, Processor_1];
+5;0;-1;cluster;2;1225670400;1225675800;1225675800;1225666800;1225666800;9000;3600;5400;0;3600;9000;3600;0;0;0;0;0;[Processor_2, Processor_3];
+6;0;-1;cluster;2;1225670400;1225677600;1225677600;1225666800;1225666800;10800;3600;7200;0;3600;10800;3600;0;0;0;0;0;[Processor_4, Processor_5];
+7;0;-1;cluster;1;1225674000;1225702800;1225702800;1225666800;1225666800;36000;7200;28800;0;7200;36000;7200;0;0;0;0;0;[Processor_0];
+8;0;-1;cluster;1;1225674000;1225681200;1225681200;1225670400;1225670400;14400;7200;7200;3600;3600;10800;3600;0;0;0;0;0;[Processor_1];
+9;0;-1;cluster;4;1225688400;1225693800;1225693800;1225688400;1225688400;27000;21600;5400;21600;0;5400;0;0;0;0;0;0;[Processor_1, Processor_2, Processor_3, Processor_4];
Index: DCWoRMS/trunk/example/experiment6_result/experiment.properties
===================================================================
--- DCWoRMS/trunk/example/experiment6_result/experiment.properties	(revision 771)
+++ DCWoRMS/trunk/example/experiment6_result/experiment.properties	(revision 771)
@@ -0,0 +1,26 @@
+# Use single *.swf file as workload description.
+
+# Path to xml file which describes resource characteristics.
+resdesc=example/experiment6/resources6.xml
+
+# and swf file, which name is declared by readscenario.workloadfilename parameter.
+# Swf file must be placed in readscenario.inputfolder directory.  
+readscenario.inputfolder=example/experiment6/workload
+readscenario.workloadfilename=workload.swf
+
+# Choose directory where all result files should be placed.
+stats.outputfolder=../../experiment6_result
+
+# Define the type and content of charts to generate
+
+# Gantt chart
+creatediagrams.gantt=true
+
+# Shows the execution times of tasks
+creatediagrams.tasks=false
+
+# Shows the waiting times of tasks
+creatediagrams.taskswaitingtime=false
+
+# Resource utilization chart - only for processors
+#creatediagrams.resutilization=Processor
Index: DCWoRMS/trunk/example/experiment6_result/Stats_Simulation 1_Jobs.txt
===================================================================
--- DCWoRMS/trunk/example/experiment6_result/Stats_Simulation 1_Jobs.txt	(revision 771)
+++ DCWoRMS/trunk/example/experiment6_result/Stats_Simulation 1_Jobs.txt	(revision 771)
@@ -0,0 +1,11 @@
+jobID;meanTaskCompletionTime;meanTaskExecutionTime;meanTaskStartTime;meanTaskFlowTime;meanTaskWaitingTime;meanTaskGQ_WaitingTime;lateness;tardiness;makespan;
+0;3,600;3,600;0;3,600;0;0;0;0;3,600;
+1;3,600;3,600;0;3,600;0;0;0;0;3,600;
+2;12,600;1,800;10,800;12,600;10,800;0;0;0;12,600;
+3;3,600;3,600;0;3,600;0;0;0;0;3,600;
+4;7,200;3,600;3,600;7,200;3,600;0;0;0;7,200;
+5;9,000;5,400;3,600;9,000;3,600;0;0;0;9,000;
+6;10,800;7,200;3,600;10,800;3,600;0;0;0;10,800;
+7;36,000;28,800;7,200;36,000;7,200;0;0;0;36,000;
+8;14,400;7,200;3,600;10,800;3,600;0;0;0;14,400;
+9;27,000;5,400;0;5,400;0;0;0;0;27,000;
Index: DCWoRMS/trunk/example/experiment6_result/Stats_Simulation 1_EnergyUsage.txt
===================================================================
--- DCWoRMS/trunk/example/experiment6_result/Stats_Simulation 1_EnergyUsage.txt	(revision 771)
+++ DCWoRMS/trunk/example/experiment6_result/Stats_Simulation 1_EnergyUsage.txt	(revision 771)
@@ -0,0 +1,8 @@
+resourceName;timestamp;consumption;
+
+
+
+
+
+
+
Index: DCWoRMS/trunk/example/experiment6_result/Stats_Simulation 1_ResourceUtilization.txt
===================================================================
--- DCWoRMS/trunk/example/experiment6_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 771)
+++ DCWoRMS/trunk/example/experiment6_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 771)
@@ -0,0 +1,59 @@
+resourceName;timestamp;utilization;
+compRes;1225666800000;1;
+compRes;1225670400000;1;
+compRes;1225674000000;1;
+compRes;1225675800000;0.667;
+compRes;1225677600000;1;
+compRes;1225679400000;0.333;
+compRes;1225681200000;0.167;
+compRes;1225688400000;0.833;
+compRes;1225693800000;0.167;
+compRes;1225702800000;0;
+mean: 0.5499999999999999
+
+Processor_0;1225666800000;1;
+Processor_0;1225670400000;1;
+Processor_0;1225674000000;1;
+Processor_0;1225702800000;0;
+mean: 1.0
+
+Processor_1;1225666800000;1;
+Processor_1;1225670400000;1;
+Processor_1;1225674000000;1;
+Processor_1;1225681200000;0;
+Processor_1;1225688400000;1;
+Processor_1;1225693800000;0;
+mean: 0.55
+
+Processor_2;1225666800000;1;
+Processor_2;1225670400000;1;
+Processor_2;1225675800000;0;
+Processor_2;1225677600000;1;
+Processor_2;1225679400000;0;
+Processor_2;1225688400000;1;
+Processor_2;1225693800000;0;
+mean: 0.44999999999999996
+
+Processor_3;1225666800000;1;
+Processor_3;1225670400000;1;
+Processor_3;1225675800000;0;
+Processor_3;1225677600000;1;
+Processor_3;1225679400000;0;
+Processor_3;1225688400000;1;
+Processor_3;1225693800000;0;
+mean: 0.44999999999999996
+
+Processor_4;1225666800000;1;
+Processor_4;1225670400000;1;
+Processor_4;1225677600000;1;
+Processor_4;1225679400000;0;
+Processor_4;1225688400000;1;
+Processor_4;1225693800000;0;
+mean: 0.5
+
+Processor_5;1225666800000;1;
+Processor_5;1225670400000;1;
+Processor_5;1225677600000;1;
+Processor_5;1225679400000;0;
+mean: 0.35000000000000003
+
Index: DCWoRMS/trunk/example/experiment6_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/trunk/example/experiment6_result/Stats_Simulation 1_Simulation.txt	(revision 771)
+++ DCWoRMS/trunk/example/experiment6_result/Stats_Simulation 1_Simulation.txt	(revision 771)
@@ -0,0 +1,14 @@
+Resource name;mean;stdev;variance;minimum;maximum;sum;count;
+Delayed tasks;0;0;0;0;0;0;1;
+Failed requests (tasks);0;0;0;0;0;0;1;
+Makespan;36,000;0;0;36,000;36,000;36,000;1;
+Resources queue length;1.1;0;0;1.1;1.1;1.1;1;
+Resources total load;0.55;0;0;0.55;0.55;0.55;1;
+Energy usage;?;?;?;?;?;?;0;
+Task completion time;12,780;10,228.372;104,619,600;3,600;36,000;127,800;10;
+Task execution time;7,020;7,441.21;55,371,600;1,800;28,800;70,200;10;
+Task start time;3,240;3,396.233;11,534,400;0;10,800;32,400;10;
+Task flow time;10,260;9,144.638;83,624,400;3,600;36,000;102,600;10;
+Task waiting time;3,240;3,396.233;11,534,400;0;10,800;32,400;10;
+Task lateness;0;0;0;0;0;0;10;
+Task tardiness;0;0;0;0;0;0;10;