Index: DCWoRMS/trunk/example/experiment7_result/experiment.properties
===================================================================
--- DCWoRMS/trunk/example/experiment7_result/experiment.properties	(revision 792)
+++ DCWoRMS/trunk/example/experiment7_result/experiment.properties	(revision 792)
@@ -0,0 +1,23 @@
+# Use single *.swf file as workload description.
+
+# Path to xml file which describes resource characteristics.
+resdesc=example/experiment7/PLMXML_TEST.xml
+
+# and swf file, which name is declared by readscenario.workloadfilename parameter.
+# Swf file must be placed in readscenario.inputfolder directory.  
+readscenario.workloadfilename=example/experiment7/workload.swf
+
+# Choose directory where all result files should be placed.
+stats.outputfolder=../experiment7_result
+
+# Define the type and content of charts to generate
+
+# Gantt chart
+creatediagrams.gantt=true
+
+# Power usage chart - for computing nodes only
+creatediagrams.respowerusage=NodeGroup
+
+creatediagrams.resutilization=NodeGroup
+
+coolemall.resdesc=example/experiment7/recs_mapping.properties
Index: DCWoRMS/trunk/example/experiment7_result/Stats_Simulation 1_Jobs.txt
===================================================================
--- DCWoRMS/trunk/example/experiment7_result/Stats_Simulation 1_Jobs.txt	(revision 792)
+++ DCWoRMS/trunk/example/experiment7_result/Stats_Simulation 1_Jobs.txt	(revision 792)
@@ -0,0 +1,14 @@
+jobID;meanTaskCompletionTime;meanTaskExecutionTime;meanTaskStartTime;meanTaskFlowTime;meanTaskWaitingTime;meanTaskGQ_WaitingTime;lateness;tardiness;makespan;
+1;450;450;0;450;0;0;0;0;450;
+2;343;343;0;343;0;0;0;0;343;
+3;450;450;0;450;0;0;0;0;450;
+4;900;900;0;900;0;0;0;0;900;
+5;450;450;0;450;0;0;0;0;450;
+6;1,350;1,350;0;1,350;0;0;0;0;1,350;
+7;686;686;0;686;0;0;0;0;686;
+8;2,143;1,800;343;2,143;343;0;0;0;2,143;
+9;4,050;450;0;450;0;0;0;0;4,050;
+10;22,950;1,350;0;1,350;0;0;0;0;22,950;
+11;26,775;1,575;0;1,575;0;0;0;0;26,775;
+12;41,400;1,800;0;1,800;0;0;0;0;41,400;
+13;48,150;1,350;0;1,350;0;0;0;0;48,150;
Index: DCWoRMS/trunk/example/experiment7_result/Stats_Simulation 1_EnergyUsage.txt
===================================================================
--- DCWoRMS/trunk/example/experiment7_result/Stats_Simulation 1_EnergyUsage.txt	(revision 792)
+++ DCWoRMS/trunk/example/experiment7_result/Stats_Simulation 1_EnergyUsage.txt	(revision 792)
@@ -0,0 +1,170 @@
+resourceName;timestamp;consumption;
+Rack81;1225666800000;183;
+Rack81;1225667143000;186;
+Rack81;1225667250000;183;
+Rack81;1225668943000;180;
+Rack81;1225670400000;183;
+Rack81;1225670850000;180;
+Rack81;1225692000000;183;
+Rack81;1225693575000;180;
+Rack81;1225714950000;180;
+mean: 180.26635514018693 sum: 2411.0625
+
+Node1;1225666800000;10;
+Node1;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Node2;1225666800000;10;
+Node2;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Node3;1225666800000;10;
+Node3;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Node4;1225666800000;10;
+Node4;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Node5;1225666800000;10;
+Node5;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Node6;1225666800000;10;
+Node6;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Node7;1225666800000;10;
+Node7;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Node8;1225666800000;10;
+Node8;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Node9;1225666800000;10;
+Node9;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Node10;1225666800000;10;
+Node10;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Node11;1225666800000;10;
+Node11;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Node12;1225666800000;10;
+Node12;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Node13;1225666800000;10;
+Node13;1225667143000;13;
+Node13;1225668943000;10;
+Node13;1225670400000;13;
+Node13;1225670850000;10;
+Node13;1225714950000;10;
+mean: 10.14018691588785 sum: 135.625
+
+Node14;1225666800000;13;
+Node14;1225667250000;10;
+Node14;1225692000000;13;
+Node14;1225693575000;10;
+Node14;1225714950000;10;
+mean: 10.126168224299066 sum: 135.43750000000003
+
+Node15;1225666800000;10;
+Node15;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Node16;1225666800000;10;
+Node16;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Node17;1225666800000;10;
+Node17;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Node18;1225666800000;10;
+Node18;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Processor_0;1225666800000;10;
+Processor_0;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Processor_1;1225666800000;10;
+Processor_1;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Processor_2;1225666800000;10;
+Processor_2;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Processor_3;1225666800000;10;
+Processor_3;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Processor_4;1225666800000;10;
+Processor_4;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Processor_5;1225666800000;10;
+Processor_5;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Processor_6;1225666800000;10;
+Processor_6;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Processor_7;1225666800000;10;
+Processor_7;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Processor_8;1225666800000;10;
+Processor_8;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Processor_9;1225666800000;10;
+Processor_9;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Processor_10;1225666800000;10;
+Processor_10;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Processor_11;1225666800000;10;
+Processor_11;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Processor_12;1225666800000;10;
+Processor_12;1225667143000;13;
+Processor_12;1225668943000;10;
+Processor_12;1225670400000;13;
+Processor_12;1225670850000;10;
+Processor_12;1225714950000;10;
+mean: 10.14018691588785 sum: 135.625
+
+Processor_13;1225666800000;13;
+Processor_13;1225667250000;10;
+Processor_13;1225692000000;13;
+Processor_13;1225693575000;10;
+Processor_13;1225714950000;10;
+mean: 10.126168224299066 sum: 135.43750000000003
+
+Processor_14;1225666800000;10;
+Processor_14;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Processor_15;1225666800000;10;
+Processor_15;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Processor_16;1225666800000;10;
+Processor_16;1225714950000;10;
+mean: 10.0 sum: 133.75
+
+Processor_17;1225666800000;10;
+Processor_17;1225714950000;10;
+mean: 10.0 sum: 133.75
+
Index: DCWoRMS/trunk/example/experiment7_result/Stats_Simulation 1_ResourceUtilization.txt
===================================================================
--- DCWoRMS/trunk/example/experiment7_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 792)
+++ DCWoRMS/trunk/example/experiment7_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 792)
@@ -0,0 +1,126 @@
+resourceName;timestamp;utilization;
+Rack81;1225666800000;0.389;
+Rack81;1225667143000;0.389;
+Rack81;1225667250000;0.222;
+Rack81;1225667486000;0.167;
+Rack81;1225667700000;0.111;
+Rack81;1225668150000;0.056;
+Rack81;1225668943000;0;
+Rack81;1225670400000;0.056;
+Rack81;1225670850000;0;
+Rack81;1225688400000;0.056;
+Rack81;1225689750000;0;
+Rack81;1225692000000;0.056;
+Rack81;1225693575000;0;
+Rack81;1225706400000;0.056;
+Rack81;1225708200000;0;
+Rack81;1225713600000;0.056;
+Rack81;1225714950000;0;
+mean: 0.014946348217376254
+
+Node1;1225666800000;1;
+Node1;1225667486000;0;
+mean: 0.014247144340602284
+
+
+Node3;1225666800000;1;
+Node3;1225667250000;0;
+mean: 0.009345794392523364
+
+Node4;1225688400000;1;
+Node4;1225689750000;0;
+mean: 0.028037383177570093
+
+
+
+
+
+
+
+Node11;1225666800000;1;
+Node11;1225668150000;0;
+Node11;1225713600000;1;
+Node11;1225714950000;0;
+mean: 0.056074766355140186
+
+Node12;1225666800000;1;
+Node12;1225667700000;0;
+Node12;1225706400000;1;
+Node12;1225708200000;0;
+mean: 0.05607476635514018
+
+Node13;1225667143000;1;
+Node13;1225668943000;0;
+Node13;1225670400000;1;
+Node13;1225670850000;0;
+mean: 0.04672897196261682
+
+Node14;1225666800000;1;
+Node14;1225667250000;0;
+Node14;1225692000000;1;
+Node14;1225693575000;0;
+mean: 0.04205607476635514
+
+Node15;1225666800000;1;
+Node15;1225667250000;0;
+mean: 0.009345794392523364
+
+
+
+Node18;1225666800000;1;
+Node18;1225667143000;0;
+mean: 0.007123572170301142
+
+Processor_0;1225666800000;1;
+Processor_0;1225667486000;0;
+mean: 0.014247144340602284
+
+
+Processor_2;1225666800000;1;
+Processor_2;1225667250000;0;
+mean: 0.009345794392523364
+
+Processor_3;1225688400000;1;
+Processor_3;1225689750000;0;
+mean: 0.028037383177570093
+
+
+
+
+
+
+
+Processor_10;1225666800000;1;
+Processor_10;1225668150000;0;
+Processor_10;1225713600000;1;
+Processor_10;1225714950000;0;
+mean: 0.056074766355140186
+
+Processor_11;1225666800000;1;
+Processor_11;1225667700000;0;
+Processor_11;1225706400000;1;
+Processor_11;1225708200000;0;
+mean: 0.05607476635514018
+
+Processor_12;1225667143000;1;
+Processor_12;1225668943000;0;
+Processor_12;1225670400000;1;
+Processor_12;1225670850000;0;
+mean: 0.04672897196261682
+
+Processor_13;1225666800000;1;
+Processor_13;1225667250000;0;
+Processor_13;1225692000000;1;
+Processor_13;1225693575000;0;
+mean: 0.04205607476635514
+
+Processor_14;1225666800000;1;
+Processor_14;1225667250000;0;
+mean: 0.009345794392523364
+
+
+
+Processor_17;1225666800000;1;
+Processor_17;1225667143000;0;
+mean: 0.007123572170301142
+
Index: DCWoRMS/trunk/example/experiment7_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/trunk/example/experiment7_result/Stats_Simulation 1_Simulation.txt	(revision 792)
+++ DCWoRMS/trunk/example/experiment7_result/Stats_Simulation 1_Simulation.txt	(revision 792)
@@ -0,0 +1,14 @@
+Resource name;mean;stdev;variance;minimum;maximum;sum;count;
+Delayed tasks;0;0;0;0;0;0;1;
+Failed requests (tasks);0;0;0;0;0;0;1;
+Makespan;48,150;0;0;48,150;48,150;48,150;1;
+Resources queue length;0.965;0;0;0.965;0.965;0.965;1;
+Resources total load;0.015;0;0;0.015;0.015;0.015;1;
+Energy usage;2,411.062;0;0;2,411.062;2,411.062;2,411.062;1;
+Task completion time;11,545.923;16,566.417;274,446,184.84;343;48,150;150,097;13;
+Task execution time;996.462;535.523;286,785.172;343;1,800;12,954;13;
+Task start time;26.385;91.399;8,353.775;0;343;343;13;
+Task flow time;1,022.846;580.983;337,541.053;343;2,143;13,297;13;
+Task waiting time;26.385;91.399;8,353.775;0;343;343;13;
+Task lateness;0;0;0;0;0;0;13;
+Task tardiness;0;0;0;0;0;0;13;
Index: DCWoRMS/trunk/example/experiment7_result/Stats_Simulation 1_AirThroughput.txt
===================================================================
--- DCWoRMS/trunk/example/experiment7_result/Stats_Simulation 1_AirThroughput.txt	(revision 792)
+++ DCWoRMS/trunk/example/experiment7_result/Stats_Simulation 1_AirThroughput.txt	(revision 792)
@@ -0,0 +1,38 @@
+resourceName;timestamp;airFlow;
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: DCWoRMS/trunk/example/experiment7_result/Stats_Simulation 1_Tasks.txt
===================================================================
--- DCWoRMS/trunk/example/experiment7_result/Stats_Simulation 1_Tasks.txt	(revision 792)
+++ DCWoRMS/trunk/example/experiment7_result/Stats_Simulation 1_Tasks.txt	(revision 792)
@@ -0,0 +1,14 @@
+JobID;TaskID;UserDN;ResName;CpuCnt;ExecStartDate;ExecFinishDate;ExecEndDate;GB_SubDate;LB_SubDate;CompletionTime;ExecStartTime;ExecutionTime;ReadyTime;StartTime;FlowTime;WaitingTime;GQ_WaitingTime;Lateness;Tardiness;ReservStartDate;ReservFinishDate;ProcessorName;Energy;
+1;1;-1;RECS_Sirius_Scheduler;1;1225666800;1225667250;1225667250;1225666800;1225666800;450;0;450;0;0;450;0;0;0;0;0;0;[Processor_2];
+2;2;-1;RECS_Sirius_Scheduler;1;1225666800;1225667143;1225667143;1225666800;1225666800;343;0;343;0;0;343;0;0;0;0;0;0;[Processor_17];
+3;3;-1;RECS_Sirius_Scheduler;1;1225666800;1225667250;1225667250;1225666800;1225666800;450;0;450;0;0;450;0;0;0;0;0;0;[Processor_13];
+4;4;-1;RECS_Sirius_Scheduler;1;1225666800;1225667700;1225667700;1225666800;1225666800;900;0;900;0;0;900;0;0;0;0;0;0;[Processor_11];
+5;5;-1;RECS_Sirius_Scheduler;1;1225666800;1225667250;1225667250;1225666800;1225666800;450;0;450;0;0;450;0;0;0;0;0;0;[Processor_14];
+6;6;-1;RECS_Sirius_Scheduler;1;1225666800;1225668150;1225668150;1225666800;1225666800;1350;0;1350;0;0;1350;0;0;0;0;0;0;[Processor_10];
+7;7;-1;RECS_Sirius_Scheduler;1;1225666800;1225667486;1225667486;1225666800;1225666800;686;0;686;0;0;686;0;0;0;0;0;0;[Processor_0];
+8;8;-1;RECS_Sirius_Scheduler;1;1225667143;1225668943;1225668943;1225666800;1225666800;2143;343;1800;0;343;2143;343;0;0;0;0;0;[Processor_12];
+9;9;-1;RECS_Sirius_Scheduler;1;1225670400;1225670850;1225670850;1225670400;1225670400;4050;3600;450;3600;0;450;0;0;0;0;0;0;[Processor_12];
+10;10;-1;RECS_Sirius_Scheduler;1;1225688400;1225689750;1225689750;1225688400;1225688400;22950;21600;1350;21600;0;1350;0;0;0;0;0;0;[Processor_3];
+11;11;-1;RECS_Sirius_Scheduler;1;1225692000;1225693575;1225693575;1225692000;1225692000;26775;25200;1575;25200;0;1575;0;0;0;0;0;0;[Processor_13];
+12;12;-1;RECS_Sirius_Scheduler;1;1225706400;1225708200;1225708200;1225706400;1225706400;41400;39600;1800;39600;0;1800;0;0;0;0;0;0;[Processor_11];
+13;13;-1;RECS_Sirius_Scheduler;1;1225713600;1225714950;1225714950;1225713600;1225713600;48150;46800;1350;46800;0;1350;0;0;0;0;0;0;[Processor_10];