Index: DCWoRMS/trunk/src/test/DEBBTranslator/xml/DEBBComponents.xml
===================================================================
--- DCWoRMS/trunk/src/test/DEBBTranslator/xml/DEBBComponents.xml	(revision 611)
+++ DCWoRMS/trunk/src/test/DEBBTranslator/xml/DEBBComponents.xml	(revision 797)
@@ -3,6 +3,21 @@
 	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
 	xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent DEBBComponents.xsd ">
+	
+<!--
+	<xsd_1:DEBBComponents xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent DEBBComponents.xsd">
+ -->
+    
+<!--
+    <PLMXML xmlns="http://www.plmxml.org/Schemas/PLMXMLSchema"
+	xmlns:vis="PLMXMLTcVisSchema" schemaVersion="6" date="2013-01-23" time="15:00:00"
+	author="HLRS 0.2.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:schemaLocation="http://www.plmxml.org/Schemas/PLMXMLSchema PLMXMLSchema.xsd">
+ -->
+        
+    
 	<Name>CoolEmAll</Name>
-	<Description>DEBBComponent Description V1 10/04/12</Description>
+	<Description>DEBBComponent Description V2 01/23/13</Description>
 	<ComputeBox2>
 		<ComponentId>hlrs_smallServerRoom</ComponentId>
@@ -13,35 +28,4 @@
 			<MaxPower>0.0</MaxPower>
 			<Class>CRAH</Class>
-		</CoolingDevice>
-		<CoolingDevice>
-			<Manufacturer>Manufacturer</Manufacturer>
-			<Product>Product</Product>
-			<MaxPower>0.0</MaxPower>
-			<Class>CRAH</Class>
-			<MaxCoolingCapacity>60000000</MaxCoolingCapacity>
-			<MaxAirThroughput>0.0</MaxAirThroughput>
-			<MaxWaterThroughput>0.0</MaxWaterThroughput>
-			<ThroughputProfile>
-				<FlowState>
-					<State>StateONE</State>
-					<Flow>1.5</Flow>
-					<PowerUsage>2</PowerUsage>
-					<Transition>
-						<ToState>StateTWO</ToState>
-						<PowerUsage>5</PowerUsage>
-						<Time>2</Time>
-					</Transition>
-				</FlowState>
-				<FlowState>
-					<State>StateTWO</State>
-					<Flow>2.5</Flow>
-					<PowerUsage>3</PowerUsage>
-					<Transition>
-						<ToState>StateONE</ToState>
-						<PowerUsage>4</PowerUsage>
-						<Time>6</Time>
-					</Transition>
-				</FlowState>
-			</ThroughputProfile>
 		</CoolingDevice>
 		<Sensor>
@@ -89,4 +73,14 @@
 		</Storage>
 	</ComputeBox1>
+	<ComputeBox1>
+		<ComponentId>PSNC_GenericRack</ComponentId>
+		<Manufacturer>Other</Manufacturer>
+		<Sensor>
+			<Class>Temperature</Class>
+			<Unit>Â°C</Unit>
+			<SensorId>psnc_GenericRack_temperature1</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+	</ComputeBox1>
 	<NodeGroup>
 		<ComponentId>RECS_Sirius</ComponentId>
@@ -94,5 +88,5 @@
 		<Product>RECS</Product>
 		<MaxPower>0.0</MaxPower>
-
+		
 		<!-- Repeating 18 times for all fans omitted -->
 		<PowerSupply>
@@ -107,5 +101,5 @@
 	</NodeGroup>
 	<Node>
-		<ComponentId>node_Core2Duo</ComponentId>
+		<ComponentId>node_hlrs_Core2Duo</ComponentId>
 		<Manufacturer>Congatec</Manufacturer>
 		<Product>conga-BM45/P8400</Product>
@@ -113,11 +107,11 @@
 			<Class>Temperature</Class>
 			<Unit>Â°C</Unit>
-			<SensorId>node_Core2Duo_temp</SensorId>
-			<Transform>Transform</Transform>
-		</Sensor>
-		<Sensor>
-			<Class>Power</Class>
-			<Unit>W</Unit>
-			<SensorId>node_Core2Duo_power</SensorId>
+			<SensorId>node_hlrs_Core2Duo_temp</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Sensor>
+			<Class>Power</Class>
+			<Unit>W</Unit>
+			<SensorId>node_hlrs_Core2Duo_power</SensorId>
 			<Transform>Transform</Transform>
 		</Sensor>
@@ -137,5 +131,36 @@
 	</Node>
 	<Node>
-		<ComponentId>node_i7/8GB</ComponentId>
+		<ComponentId>node_hlrs_i7-8GB</ComponentId>
+		<Manufacturer>kontron</Manufacturer>
+		<Product>ETXe-SC T2 i7-2715QE</Product>
+		<MaxPower>0.0</MaxPower>
+		<Sensor>
+			<Class>Temperature</Class>
+			<Unit>Â°C</Unit>
+			<SensorId>node_hlrs_i7-8GB_temp</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Sensor>
+			<Class>Power</Class>
+			<Unit>W</Unit>
+			<SensorId>node_hlrs_i7-8GB_power</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Baseboard>
+			<Manufacturer>kontron</Manufacturer>
+			<Product>ETXe-SC</Product>
+		</Baseboard>
+		<Processor>
+			<Manufacturer>Intel</Manufacturer>
+			<Product>i7-2715QE</Product>
+			<MaxPower>45.0</MaxPower>
+			<MaxClockSpeed>2100</MaxClockSpeed>
+		</Processor>
+		<Memory>
+			<Capacity>8192</Capacity>
+		</Memory>
+	</Node>
+	<Node>
+		<ComponentId>node_psnc_i7-16GB-sandy</ComponentId>
 		<Manufacturer>kontron</Manufacturer>
 		<Product>COMe-bSC2 i7-2715QE ECC</Product>
@@ -144,11 +169,11 @@
 			<Class>Temperature</Class>
 			<Unit>Â°C</Unit>
-			<SensorId>node_i7/8GB_temp</SensorId>
-			<Transform>Transform</Transform>
-		</Sensor>
-		<Sensor>
-			<Class>Power</Class>
-			<Unit>W</Unit>
-			<SensorId>node_i7/8GB_power</SensorId>
+			<SensorId>node_psnc_i7-16GB-sandy_temp</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Sensor>
+			<Class>Power</Class>
+			<Unit>W</Unit>
+			<SensorId>node_psnc_i7-16GB-sandy_power</SensorId>
 			<Transform>Transform</Transform>
 		</Sensor>
@@ -164,33 +189,33 @@
 		</Processor>
 		<Memory>
-			<Capacity>8192</Capacity>
-		</Memory>
-	</Node>
-	<Node>
-		<ComponentId>node_i7/16GB</ComponentId>
+			<Capacity>16384</Capacity>
+		</Memory>
+	</Node>
+	<Node>
+		<ComponentId>node_psnc_i7-16GB-ivy</ComponentId>
 		<Manufacturer>kontron</Manufacturer>
-		<Product>COMe-bSC2 i7-2715QE ECC</Product>
+		<Product>COMe-bSC6 i7-3615QE ECC</Product>
 		<MaxPower>0.0</MaxPower>
 		<Sensor>
 			<Class>Temperature</Class>
 			<Unit>Â°C</Unit>
-			<SensorId>node_i7/16GB_temp</SensorId>
-			<Transform>Transform</Transform>
-		</Sensor>
-		<Sensor>
-			<Class>Power</Class>
-			<Unit>W</Unit>
-			<SensorId>node_i7/16GB_power</SensorId>
+			<SensorId>node_psnc_i7-16GB-ivy_temp</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Sensor>
+			<Class>Power</Class>
+			<Unit>W</Unit>
+			<SensorId>node_psnc_i7-16GB-ivy_power</SensorId>
 			<Transform>Transform</Transform>
 		</Sensor>
 		<Baseboard>
 			<Manufacturer>kontron</Manufacturer>
-			<Product>COMe-bSC2</Product>
-		</Baseboard>
-		<Processor>
-			<Manufacturer>Intel</Manufacturer>
-			<Product>i7-2715QE</Product>
+			<Product>COMe-bSC6 ECC</Product>
+		</Baseboard>
+		<Processor>
+			<Manufacturer>Intel</Manufacturer>
+			<Product>i7-3615QE</Product>
 			<MaxPower>45.0</MaxPower>
-			<MaxClockSpeed>2100</MaxClockSpeed>
+			<MaxClockSpeed>2300</MaxClockSpeed>
 		</Processor>
 		<Memory>
@@ -199,5 +224,5 @@
 	</Node>
 	<Node>
-		<ComponentId>node_FusionGT56N</ComponentId>
+		<ComponentId>node_hlrs_FusionGT56N</ComponentId>
 		<Manufacturer>Congatec</Manufacturer>
 		<Product>conga-BAF/T56N</Product>
@@ -205,11 +230,11 @@
 			<Class>Temperature</Class>
 			<Unit>Â°C</Unit>
-			<SensorId>node_FusionGT56N_temp</SensorId>
-			<Transform>Transform</Transform>
-		</Sensor>
-		<Sensor>
-			<Class>Power</Class>
-			<Unit>W</Unit>
-			<SensorId>node_FusionGT56N_power</SensorId>
+			<SensorId>node_hlrs_FusionGT56N_temp</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Sensor>
+			<Class>Power</Class>
+			<Unit>W</Unit>
+			<SensorId>node_hlrs_FusionGT56N_power</SensorId>
 			<Transform>Transform</Transform>
 		</Sensor>
@@ -229,5 +254,5 @@
 	</Node>
 	<Node>
-		<ComponentId>node_FusionGT40N</ComponentId>
+		<ComponentId>node_psnc_FusionGT40N</ComponentId>
 		<Manufacturer>Congatec</Manufacturer>
 		<Product>conga-BAF/T40N</Product>
@@ -235,11 +260,11 @@
 			<Class>Temperature</Class>
 			<Unit>Â°C</Unit>
-			<SensorId>node_FusionGT40N_temp</SensorId>
-			<Transform>Transform</Transform>
-		</Sensor>
-		<Sensor>
-			<Class>Power</Class>
-			<Unit>W</Unit>
-			<SensorId>node_FusionGT40N_power</SensorId>
+			<SensorId>node_psnc_FusionGT40N_temp</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Sensor>
+			<Class>Power</Class>
+			<Unit>W</Unit>
+			<SensorId>node_psnc_FusionGT40N_power</SensorId>
 			<Transform>Transform</Transform>
 		</Sensor>
@@ -259,5 +284,5 @@
 	</Node>
 	<Node>
-		<ComponentId>node_AtomZ530</ComponentId>
+		<ComponentId>node_hlrs_AtomZ530</ComponentId>
 		<Manufacturer>Toradex</Manufacturer>
 		<Product>Woodpecker Z530</Product>
@@ -265,11 +290,11 @@
 			<Class>Temperature</Class>
 			<Unit>Â°C</Unit>
-			<SensorId>node_AtomZ530_temp</SensorId>
-			<Transform>Transform</Transform>
-		</Sensor>
-		<Sensor>
-			<Class>Power</Class>
-			<Unit>W</Unit>
-			<SensorId>node_AtomZ530_power</SensorId>
+			<SensorId>node_hlrs_AtomZ530_temp</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Sensor>
+			<Class>Power</Class>
+			<Unit>W</Unit>
+			<SensorId>node_hlrs_AtomZ530_power</SensorId>
 			<Transform>Transform</Transform>
 		</Sensor>
@@ -291,5 +316,5 @@
 	</Node>
 	<Node>
-		<ComponentId>node_AtomZ510</ComponentId>
+		<ComponentId>node_psnc_AtomZ510</ComponentId>
 		<Manufacturer>Toradex</Manufacturer>
 		<Product>Woodpecker Z510</Product>
@@ -297,11 +322,11 @@
 			<Class>Temperature</Class>
 			<Unit>Â°C</Unit>
-			<SensorId>node_AtomZ510_temp</SensorId>
-			<Transform>Transform</Transform>
-		</Sensor>
-		<Sensor>
-			<Class>Power</Class>
-			<Unit>W</Unit>
-			<SensorId>node_AtomZ510_power</SensorId>
+			<SensorId>node_psnc_AtomZ510_temp</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Sensor>
+			<Class>Power</Class>
+			<Unit>W</Unit>
+			<SensorId>node_psnc_AtomZ510_power</SensorId>
 			<Transform>Transform</Transform>
 		</Sensor>
@@ -323,5 +348,5 @@
 	</Node>
 	<Node>
-		<ComponentId>node_AtomD510</ComponentId>
+		<ComponentId>node_psnc_AtomD510</ComponentId>
 		<Manufacturer>Manufacturer</Manufacturer>
 		<Product>Product</Product>
@@ -329,11 +354,11 @@
 			<Class>Temperature</Class>
 			<Unit>Â°C</Unit>
-			<SensorId>node_AtomD510_temp</SensorId>
-			<Transform>Transform</Transform>
-		</Sensor>
-		<Sensor>
-			<Class>Power</Class>
-			<Unit>W</Unit>
-			<SensorId>node_AtomD510_power</SensorId>
+			<SensorId>node_psnc_AtomD510_temp</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Sensor>
+			<Class>Power</Class>
+			<Unit>W</Unit>
+			<SensorId>node_psnc_AtomD510_power</SensorId>
 			<Transform>Transform</Transform>
 		</Sensor>