Index: DCWoRMS/trunk/src/test/DEBBTranslator/xml/DEBBComponents.xsd
===================================================================
--- DCWoRMS/trunk/src/test/DEBBTranslator/xml/DEBBComponents.xsd	(revision 557)
+++ DCWoRMS/trunk/src/test/DEBBTranslator/xml/DEBBComponents.xsd	(revision 798)
@@ -122,5 +122,7 @@
 	<xsd:complexType name="DEBBPhysicalElementType">
 		<xsd:sequence>
-			<xsd:element name="ComponentId" type="xsd:string" maxOccurs="1" minOccurs="0"></xsd:element>
+			<xsd:element name="ComponentId" type="xsd:string"
+				maxOccurs="1" minOccurs="0">
+			</xsd:element>
 			<xsd:element name="Manufacturer" type="xsd:string"
 				maxOccurs="1" minOccurs="0" />
@@ -128,5 +130,7 @@
 				minOccurs="0" />
 			<xsd:element name="MaxPower" type="xsd:float" maxOccurs="1"
-				minOccurs="0"></xsd:element>
+				minOccurs="0">
+			</xsd:element>
+			<xsd:element name="PowerUsageProfile" type="xsd_1:FlowProfileType" minOccurs="0" maxOccurs="1"></xsd:element>
 		</xsd:sequence>
 	</xsd:complexType>
@@ -134,18 +138,28 @@
 	<xsd:complexType name="FlowProfileType">
 		<xsd:annotation>
-			<xsd:documentation>FlowProfile describes any sort of flow (air, liquid, energy, ...) including differnet discrete states and possible transitions since they all have the same characteristic attributes. If there are now significant transistion times/energy consumptions they are simple omitted</xsd:documentation>
+			<xsd:documentation>FlowProfile describes any sort of flow (air, liquid, energy, ...) including different discrete states and possible transitions since they all have the same characteristic attributes. If there are now significant transition times/energy consumptions they are simple omitted</xsd:documentation>
 		</xsd:annotation>
 		<xsd:sequence>
-			<xsd:element name="FlowState" type="xsd_1:FlowStateType" minOccurs="1" maxOccurs="unbounded"/>
+			<xsd:element name="FlowState" type="xsd_1:FlowStateType"
+				minOccurs="1" maxOccurs="unbounded" />
+			<xsd:element name="Name" type="xsd:string" minOccurs="0" maxOccurs="1"></xsd:element>
 		</xsd:sequence>
 	</xsd:complexType>
     
 	<xsd:complexType name="FlowStateType">
-		<xsd:sequence>
-			<xsd:element name="State" type="xsd:string"></xsd:element>
-			<xsd:element name="Flow" type="xsd:double" maxOccurs="1" minOccurs="0"></xsd:element>
-			<xsd:element name="PowerUsage" type="xsd:double" maxOccurs="1" minOccurs="0"></xsd:element>
-			<xsd:element name="Transition" type="xsd_1:TransitionType" minOccurs="0" maxOccurs="unbounded"/>
-		</xsd:sequence>
+        <xsd:annotation>
+        	<xsd:documentation>Flowstate describes any kind of flow (air, liquid, power, ...) and assumes that for maintaining the flow a certain power usage is necessary. For power supply units only the power which is used for creating/transforming the power flow is counted as PowerUsage, but not the power provided. So adding all PowerUsages will show the overall consumption</xsd:documentation>
+        </xsd:annotation>
+        <xsd:sequence>
+        	<xsd:element name="State" type="xsd:string"></xsd:element>
+        	<xsd:element name="Flow" type="xsd:double" maxOccurs="1"
+        		minOccurs="0">
+        	</xsd:element>
+        	<xsd:element name="PowerUsage" type="xsd:double"
+        		maxOccurs="1" minOccurs="0">
+        	</xsd:element>
+        	<xsd:element name="Transition" type="xsd_1:TransitionType"
+        		minOccurs="0" maxOccurs="unbounded" />
+        </xsd:sequence>
 	</xsd:complexType>
 
@@ -195,4 +209,5 @@
 								<xsd:enumeration value="UPS"></xsd:enumeration>
 								<xsd:enumeration value="PDU"></xsd:enumeration>
+								<xsd:enumeration value="MVLVTransformer"></xsd:enumeration>
 							</xsd:restriction>
 						</xsd:simpleType>
@@ -327,5 +342,8 @@
 
 	<xsd:complexType name="TransitionType">
-		<xsd:sequence>
+        <xsd:annotation>
+        	<xsd:documentation>Transition describes the possible state changes and the "additional" power which is consumed during the change i.e. spin up power for hard discs is much higher than running consistant speed.</xsd:documentation>
+        </xsd:annotation>
+        <xsd:sequence>
 			<xsd:element name="ToState" type="xsd:string"/>
 			<xsd:element name="PowerUsage" type="xsd:double"/>