Index: DCWoRMS/trunk/src/test/DEBBTranslator/xml/PLMXML_HLRS_RECS_1.xml
===================================================================
--- DCWoRMS/trunk/src/test/DEBBTranslator/xml/PLMXML_HLRS_RECS_1.xml	(revision 796)
+++ DCWoRMS/trunk/src/test/DEBBTranslator/xml/PLMXML_HLRS_RECS_1.xml	(revision 812)
@@ -34,5 +34,5 @@
 				(transform) and instance details (i.e. hostname) -->
 			<ProductInstance id="inst71_01_1" name="Node1"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_1_1">
 					<UserValue value="n001" title="hostname"></UserValue>
@@ -43,5 +43,5 @@
 			<!-- Same for the next node -->
 			<ProductInstance id="inst71_01_2" name="Node2"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_2_1">
 					<UserValue value="n002" title="hostname"></UserValue>
@@ -51,5 +51,5 @@
 
 			<ProductInstance id="inst71_01_3" name="Node3"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_3_1">
 					<UserValue value="n003" title="hostname"></UserValue>
@@ -59,5 +59,5 @@
 
 			<ProductInstance id="inst71_01_4" name="Node4"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_4_1">
 					<UserValue value="n004" title="hostname"></UserValue>
@@ -67,5 +67,5 @@
 
 			<ProductInstance id="inst71_01_5" name="Node5"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_5_1">
 					<UserValue value="n005" title="hostname"></UserValue>
@@ -75,5 +75,5 @@
 
 			<ProductInstance id="inst71_01_6" name="Node6"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_6_1">
 					<UserValue value="n006" title="hostname"></UserValue>
@@ -83,5 +83,5 @@
 
 			<ProductInstance id="inst71_01_7" name="Node7"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_7_1">
 					<UserValue value="n007" title="hostname"></UserValue>
@@ -91,5 +91,5 @@
 
 			<ProductInstance id="inst71_01_8" name="Node8"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_8_1">
 					<UserValue value="n008" title="hostname"></UserValue>
@@ -99,5 +99,5 @@
 
 			<ProductInstance id="inst71_01_9" name="Node9"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_9_1">
 					<UserValue value="n009" title="hostname"></UserValue>
@@ -107,5 +107,5 @@
 
 			<ProductInstance id="inst71_01_10" name="Node10"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_10_1">
 					<UserValue value="n010" title="hostname"></UserValue>
@@ -115,5 +115,5 @@
 
 			<ProductInstance id="inst71_01_11" name="Node11"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_11_1">
 					<UserValue value="n011" title="hostname"></UserValue>
@@ -123,5 +123,5 @@
 
 			<ProductInstance id="inst71_01_12" name="Node12"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_12_1">
 					<UserValue value="n012" title="hostname"></UserValue>
@@ -131,5 +131,5 @@
 
 			<ProductInstance id="inst71_01_13" name="Node13"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_13_1">
 					<UserValue value="n013" title="hostname"></UserValue>
@@ -139,5 +139,5 @@
 
 			<ProductInstance id="inst71_01_14" name="Node14"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_14_1">
 					<UserValue value="n014" title="hostname"></UserValue>
@@ -147,5 +147,5 @@
 
 			<ProductInstance id="inst71_01_15" name="Node15"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_15_1">
 					<UserValue value="n015" title="hostname"></UserValue>
@@ -155,5 +155,5 @@
 
 			<ProductInstance id="inst71_01_16" name="Node16"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_16_1">
 					<UserValue value="n016" title="hostname"></UserValue>
@@ -163,5 +163,5 @@
 
 			<ProductInstance id="inst71_01_17" name="Node17"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_17_1">
 					<UserValue value="n017" title="hostname"></UserValue>
@@ -172,5 +172,5 @@
 			<!-- And the same for the last node -->
 			<ProductInstance id="inst71_01_18" name="Node18"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_18_1">
 					<UserValue value="n018" title="hostname"></UserValue>
Index: DCWoRMS/trunk/src/test/DEBBTranslator/xml/PLMXML_PSNC_RECS_1.xml
===================================================================
--- DCWoRMS/trunk/src/test/DEBBTranslator/xml/PLMXML_PSNC_RECS_1.xml	(revision 796)
+++ DCWoRMS/trunk/src/test/DEBBTranslator/xml/PLMXML_PSNC_RECS_1.xml	(revision 812)
@@ -26,5 +26,5 @@
 				(transform) and instance details (i.e. hostname) -->
 			<ProductInstance id="inst81_01_1" name="Node1"
-				partRef="#id81_01_1">
+				partRef="#id84_01_1">
 				<UserData id="id81_01_1_1">
 					<UserValue value="amdf_0_01" title="hostname"></UserValue>
Index: DCWoRMS/trunk/src/test/DEBBTranslator/xml/PLMXML_PSNC_GenericRack.xml
===================================================================
--- DCWoRMS/trunk/src/test/DEBBTranslator/xml/PLMXML_PSNC_GenericRack.xml	(revision 796)
+++ DCWoRMS/trunk/src/test/DEBBTranslator/xml/PLMXML_PSNC_GenericRack.xml	(revision 812)
@@ -34,5 +34,5 @@
 				(transform) and instance details (i.e. hostname) -->
 			<ProductInstance id="inst81_01_1" name="Node1"
-				partRef="#id81_01_1">
+				partRef="#id84_01_1">
 				<UserData id="id81_01_1_1">
 					<UserValue value="amdf_0_01" title="hostname"></UserValue>
Index: DCWoRMS/trunk/src/test/DEBBTranslator/xml/PLMXML_HLRS_SmallServerRoom.xml
===================================================================
--- DCWoRMS/trunk/src/test/DEBBTranslator/xml/PLMXML_HLRS_SmallServerRoom.xml	(revision 796)
+++ DCWoRMS/trunk/src/test/DEBBTranslator/xml/PLMXML_HLRS_SmallServerRoom.xml	(revision 812)
@@ -464,5 +464,5 @@
 				(transform) and instance details (i.e. hostname) -->
 			<ProductInstance id="inst71_01_1" name="Node1"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_1_1">
 					<UserValue value="n001" title="hostname"></UserValue>
@@ -473,5 +473,5 @@
 			<!-- Same for the next node -->
 			<ProductInstance id="inst71_01_2" name="Node2"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_2_1">
 					<UserValue value="n002" title="hostname"></UserValue>
@@ -481,5 +481,5 @@
 
 			<ProductInstance id="inst71_01_3" name="Node3"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_3_1">
 					<UserValue value="n003" title="hostname"></UserValue>
@@ -489,5 +489,5 @@
 
 			<ProductInstance id="inst71_01_4" name="Node4"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_4_1">
 					<UserValue value="n004" title="hostname"></UserValue>
@@ -497,5 +497,5 @@
 
 			<ProductInstance id="inst71_01_5" name="Node5"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_5_1">
 					<UserValue value="n005" title="hostname"></UserValue>
@@ -505,5 +505,5 @@
 
 			<ProductInstance id="inst71_01_6" name="Node6"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_6_1">
 					<UserValue value="n006" title="hostname"></UserValue>
@@ -513,5 +513,5 @@
 
 			<ProductInstance id="inst71_01_7" name="Node7"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_7_1">
 					<UserValue value="n007" title="hostname"></UserValue>
@@ -521,5 +521,5 @@
 
 			<ProductInstance id="inst71_01_8" name="Node8"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_8_1">
 					<UserValue value="n008" title="hostname"></UserValue>
@@ -529,5 +529,5 @@
 
 			<ProductInstance id="inst71_01_9" name="Node9"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_9_1">
 					<UserValue value="n009" title="hostname"></UserValue>
@@ -537,5 +537,5 @@
 
 			<ProductInstance id="inst71_01_10" name="Node10"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_10_1">
 					<UserValue value="n010" title="hostname"></UserValue>
@@ -545,5 +545,5 @@
 
 			<ProductInstance id="inst71_01_11" name="Node11"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_11_1">
 					<UserValue value="n011" title="hostname"></UserValue>
@@ -553,5 +553,5 @@
 
 			<ProductInstance id="inst71_01_12" name="Node12"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_12_1">
 					<UserValue value="n012" title="hostname"></UserValue>
@@ -561,5 +561,5 @@
 
 			<ProductInstance id="inst71_01_13" name="Node13"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_13_1">
 					<UserValue value="n013" title="hostname"></UserValue>
@@ -569,5 +569,5 @@
 
 			<ProductInstance id="inst71_01_14" name="Node14"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_14_1">
 					<UserValue value="n014" title="hostname"></UserValue>
@@ -577,5 +577,5 @@
 
 			<ProductInstance id="inst71_01_15" name="Node15"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_15_1">
 					<UserValue value="n015" title="hostname"></UserValue>
@@ -585,5 +585,5 @@
 
 			<ProductInstance id="inst71_01_16" name="Node16"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_16_1">
 					<UserValue value="n016" title="hostname"></UserValue>
@@ -593,5 +593,5 @@
 
 			<ProductInstance id="inst71_01_17" name="Node17"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_17_1">
 					<UserValue value="n017" title="hostname"></UserValue>
@@ -602,5 +602,5 @@
 			<!-- And the same for the last node -->
 			<ProductInstance id="inst71_01_18" name="Node18"
-				partRef="#id71_01_1">
+				partRef="#id74_01_1">
 				<UserData id="id71_01_18_1">
 					<UserValue value="n018" title="hostname"></UserValue>